#
# spec file for package k_smp (Version 2.4.18)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  -lx_suse bin86 gpp kernel-source km_basilisk km_cipe km_drbd km_dvb km_ferrari km_freeswan km_ipppcomp km_iscsi km_pcmci km_sam9407 km_scsl km_secum km_tpctl km_xfiregl1 libgpp
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake bin86 binutils cracklib gcc gdbm gettext gpp kernel-source km_basilisk km_cipe km_drbd km_dvb km_ferrari km_freeswan km_ipppcomp km_iscsi km_pcmci km_sam9407 km_scsl km_secum km_tpctl km_xfiregl1 libgpp libtool libz pam perl rpm

Name:         k_smp
Version:      2.4.18
Release:      313
Summary:      Kernel with multiprocessor support
License:      GPL
Group:        System/Kernel
Autoreqprov:  on
Provides:     k_smp_24 k_smp_22
Obsoletes:    k_smp_24 k_smp_22
Conflicts:    k_deflt k_i386 k_psmp
%define kernel_version %{version}
%define kernel_extension -64GB-SMP
Source:       config.smp.ikr

%description
Kernel with multiprocessor support

%prep

%build
if [ -f /usr/src/linux/.config ] ; then
  mv /usr/src/linux/.config /usr/src/linux/.config.42.42
fi
cd /usr/src/linux
sed -e 's/`hostname`/SMP_X86.suse.de/' /usr/src/linux/Makefile > /tmp/lx_suse-Makefile
make -f /tmp/lx_suse-Makefile  distclean
cp $RPM_SOURCE_DIR/config.* /usr/src/linux/.config
make -f /tmp/lx_suse-Makefile  oldconfig
make -f /tmp/lx_suse-Makefile  dep
make -f /tmp/lx_suse-Makefile  clean
make -f /tmp/lx_suse-Makefile  bzImage
make -f /tmp/lx_suse-Makefile  modules
make -f /tmp/lx_suse-Makefile  modules_install
mkdir /lib/modules/%{kernel_version}%{kernel_extension}/misc
if [ -d /usr/src/kernel-modules ] ; then
  for d in /usr/src/kernel-modules/*;
   do (cd $d && make -f Makefile.module && make -f Makefile.module install)
  done
fi
# if pcmcia modules are not in the correct directory they cannot be
# loaded too, because then there is a version mismatch. Now they
# already are in the correct directory. zoz@suse.de
#if [ ! -d /lib/modules/%{kernel_version}%{kernel_extension}/pcmcia ] ; then
#  mkdir -p /lib/modules/%{kernel_version}%{kernel_extension}/pcmcia
#  cp -a /lib/modules/%{kernel_version}/pcmcia/* \
#	/lib/modules/%{kernel_version}%{kernel_extension}/pcmcia
#fi

%install
mkdir -p /boot
cp -a /usr/src/linux/System.map /boot/System.map-%{kernel_version}%{kernel_extension}
cp -a /usr/src/linux/arch/i386/boot/bzImage /boot/vmlinuz
cp -a /usr/src/linux/.config /boot/vmlinuz.config
cp -a /usr/src/linux/include/linux/autoconf.h /boot/vmlinuz.autoconf.h
cp -a /usr/src/linux/include/linux/version.h /boot/vmlinuz.version.h
if [ -f /usr/src/linux/.config.42.42 ] ; then
  mv /usr/src/linux/.config.42.42 /usr/src/linux/.config
fi
cd /lib/modules/%{kernel_version}%{kernel_extension}/kernel/drivers/net
ln 3c59x.o 3c90x.o
ln 8139too.o rtl8139.o
cd /usr/src/linux
make -f /tmp/lx_suse-Makefile  clean

%post
BOOTDIR=boot
NEW_NAME=$BOOTDIR/vmlinuz.suse
OLD_NAME=$BOOTDIR/vmlinuz
if [ -f $OLD_NAME ]
then
    FREE=`df -P $BOOTDIR | sed 1d | sed "s/[ 	]\+/ /g" | cut -d " " -f 4`
    NEED=`du $OLD_NAME | sed "s/[ 	]\+/ /g" | cut -d " " -f 1`
    if [ -f $NEW_NAME ]
    then
	ADD=`du $NEW_NAME | sed "s/[ 	]\+/ /g" | cut -d " " -f 1`
	FREE=`expr $FREE + $ADD`
    fi
    if [ $NEED -lt $FREE ]
    then
	cp $OLD_NAME $NEW_NAME
    fi
fi
if test -f /etc/rc.config ; then
    . /etc/rc.config
    if ! test -z "$INITRD_MODULES" ; then
	if test -f /etc/fstab -a -x /sbin/mk_initrd ; then
	    mk_initrd
	elif test -f /etc/fstab -a -x /sbin/mkinitrd ; then
	    mkinitrd
	else
	    echo "please run mkinitrd as soon as your system is complete"
	fi
    fi
fi
#########################################
# initialize lilo if needed #############
#########################################
if [ -f /etc/sysconfig/bootloader ]; then
  . /etc/sysconfig/bootloader
fi
# dont do this during initial (new) installation
# $1 is 1 in postinstall if this package is installed
# for the first time and is >1 on update
if test "$1" = "1" ; then
   case "$LOADER_TYPE" in
     *lilo*)
	echo "boot loader initialisation required"
	;;
   esac
   exit 0
fi
if test -z "$LOADER_TYPE" \
     -a -s /boot/grub/menu.lst -a -s /boot/grub/device.map ; then
   LOADER_TYPE="grub-maybe"
fi
if test -z "$LOADER_TYPE" -a -s /etc/lilo.conf -a -x /sbin/lilo ; then
   LOADER_TYPE="lilo-maybe"
fi
case "$LOADER_LOCATION" in
  *floppy*)
	LOADER_TYPE=""
	{
	echo "Your boot loader is configured to be installed to a floppy disk."
        echo "Can not perform automatic update."
	} >&2
	;;
  *none*)
	LOADER_TYPE=""
	{
	echo "Your boot loader is not configured to be installed to disk."
        echo "Can not perform automatic update."
	} >&2
	;;
esac
case "$LOADER_TYPE" in
  *lilo*)
	test -s /etc/lilo.conf -a -x /sbin/lilo || LOADER_TYPE=""
	;;
  *grub*)
	test -s /boot/grub/menu.lst -a -s /boot/grub/device.map || LOADER_TYPE=""
	;;
esac
case "$LOADER_TYPE" in
  *lilo*)
        echo "running lilo... "
        out=`lilo 2>&1` || {
          echo "lilo failed to write the boot record for your system."
          echo "The output from lilo is:"
          echo ""
          echo "$out"
          echo ""
          echo "Please check manually that your system has a valid boot record!"
        } >&2
    ;;
  *grub*)
	echo "using grub, re-install of bootloader not required."
    ;;
  *)
        {
        echo "Warning! Your bootloader type could not be determined"
	echo "or the configuration is inconsistent."
	echo
        echo "By consequence, your system might not be bootable after"
        echo "performing this kernel update."
        echo "Please check manually if your bootloader is properly"
        echo "initialized!"
        } >&2
    ;;
esac

%files
/boot/System.map-%{kernel_version}%{kernel_extension}
/boot/vmlinuz
/boot/vmlinuz.config
/boot/vmlinuz.autoconf.h
/boot/vmlinuz.version.h
/lib/modules/%{kernel_version}%{kernel_extension}

%changelog -n k_smp
* Tue Aug 10 2004 - garloff@suse.de
- queue-signals-peruser.diff: Fix missing initialisation of signal
  counter in signal DoS patch. (#39181, okir)
* Fri Jul 30 2004 - garloff@suse.de
- Fix typos in nvram.c and br2864.c.
* Thu Jul 29 2004 - garloff@suse.de
- Fix proc-info-leak bugfix (#43390).
* Tue Jul 27 2004 - garloff@suse.de
- queued-signals-peruser.diff: Avoid signal queue DoS: Just apply
  the sysctl per user instead of globally (#39181).
* Tue Jul 27 2004 - garloff@suse.de
- proc-info-leak: fixes for /proc info leaks (#41074)
* Thu Jun 24 2004 - mantel@suse.de
- add missing check in chown() system call (#42400)
* Mon Jun 21 2004 - mantel@suse.de
- pss-user-pointer: Properly check userspace pointer (#42050)
- fix memory overwrite bug in airo driver (#42096)
- fix copy_from_user/copy_to_user thinko in ALSA (#42095)
- properly use _user in OSS ioctls (#42050)
- don't write user pointers without checking in decnet (#42049)
- check existance of device in eql (#42217)
* Tue Jun 15 2004 - mantel@suse.de
- remove broken vmalloc-page-fault-nested-irqs patch
* Tue Jun 15 2004 - mantel@suse.de
- fix user-triggerable local DoS (#41951)
- use correct fix for e1000 infoleak bug (#39680)
* Fri May 28 2004 - mantel@suse.de
- fix vmalloc-page-fault bug with nested irqs (#40550)
* Fri May 28 2004 - mantel@suse.de
- fix info leak in e1000 driver (#39680)
* Wed May 05 2004 - mantel@suse.de
- fix uid32 problem in smbfs (#39579)
* Wed Apr 28 2004 - rw@suse.de
- add patches.common/fs-exec-coredump-LFS (#38733)
  from Andrea to allow core files larger than 2 GB
* Mon Apr 26 2004 - garloff@suse.de
- fix proc file permissions of qla2xxx driver (#39347)
* Mon Apr 26 2004 - mantel@suse.de
- fix buffer overflow in panic() (#39054)
* Mon Apr 26 2004 - mantel@suse.de
- fix memory leak in do_fork() (#39223)
* Fri Apr 02 2004 - mantel@suse.de
- fix spinlock deadlock (#35318)
* Fri Apr 02 2004 - mantel@suse.de
- fix info leak in jfs filesystem (#36125)
* Thu Mar 11 2004 - mantel@suse.de
- add missing size check in r128 driver also to 4.0 version
* Wed Mar 03 2004 - mantel@suse.de
- fix vulnerability in soundblaster driver (#35279)
* Wed Mar 03 2004 - mantel@suse.de
- fix info leak in ext3 filesystem (#35212)
* Wed Mar 03 2004 - mantel@suse.de
- add yet another missing size check in r128 driver (#33945)
* Wed Mar 03 2004 - mantel@suse.de
- fix vulnerability in iso9660 filesystem (#34841)
* Thu Feb 19 2004 - mantel@suse.de
- check size for memory allocations in r128 DRI driver (#33945)
* Thu Feb 19 2004 - mantel@suse.de
- don't leak info in i386 fault handler (#34051)
* Thu Feb 19 2004 - mantel@suse.de
- fix user space access in C-Media PCI OSS sound driver
* Thu Feb 19 2004 - mantel@suse.de
- Limit file names in ncpfs (#34100)
* Thu Feb 05 2004 - mantel@suse.de
- check interpreter type to prevent possible local DoS (#34287)
* Thu Feb 05 2004 - mantel@suse.de
- return proper error codes for do_munmap() failure in mremap
* Wed Dec 17 2003 - mantel@suse.de
- update config for new kernel version
* Wed Dec 17 2003 - mantel@suse.de
- add missing check in mremap
* Tue Dec 02 2003 - mantel@suse.de
- don't let O_DIRECT expose stale disk blocks (#27930)
- check bounds in do_brk (#33444)
- don't allow sending signals to modprobe started by kmod
- initialize all fields when reading the RTC
* Wed Aug 06 2003 - agruen@suse.de
- Switch to series.conf.
- Add madvise-unmapped-bug from andrea, this adds a missing check
  for madvise(MADV_WILLNEED).
- Add patches.common/load_elf_binary-unwind, fixes the failure
  paths added by 00_binfmt-elf-checks-1 that unshare-files
  breaks.
- Add patches.common/steal-locks-cleanup. This moves the call to
  steal_locks() further up in load_elf_binary(), which is really
  necessary with load_elf_binary-unwind.
* Fri Aug 01 2003 - mantel@suse.de
- fix output of extended partitioning info
* Thu Jul 31 2003 - mantel@suse.de
- #28132: file-locking-fix: Fix unshare-files bug that causes
  processes to lose POSIX file locks after execve(2).
- fix overflow problem in NFSv3 decode_fh
- prevent possible DoS in netfilter code
* Thu Jul 17 2003 - mantel@suse.de
- fix root access to /proc/<pid>/environ
* Tue Jul 15 2003 - mantel@suse.de
- fix access to /proc/<pid>/cmdline
* Tue Jul 15 2003 - mantel@suse.de
- prevent statfs overflow for huge NFS filesystems (#21079)
* Tue Jul 15 2003 - mantel@suse.de
- fix side-effect of proc-environment fix
* Thu Jul 10 2003 - mantel@suse.de
- make sure addon modules get installed correctly
* Thu Jul 10 2003 - mantel@suse.de
- fix several race conditions in procfs
* Mon Jul 07 2003 - mantel@suse.de
- fix execve() file read race vulnerability
* Thu Jul 03 2003 - garloff@suse.de
- Increase scsi sense buffer to 96 bytes. [#26928]
- Include qla2xxx driver v6.05.60 (named qla2X00v6.o, X=1,2,3)
  in addition to older qla drivers.
* Wed Jun 18 2003 - mantel@suse.de
- create initrd and run lilo if needed
* Thu Jun 12 2003 - mantel@suse.de
- fix ipc lock race (#26947)
* Mon May 26 2003 - mantel@suse.de
- fix remaining bad side effects of ptrace fix (#25903)
- fix problem with ecc reporting garbage in /proc/ram (#22388)
- allow info about need for large LUNs to be passed via kernel
  parameter
- fix route hash vulnerability
- fix ioport vulnerability
- fix SMP crash problem in bonding driver (#26053)
- fix invalid ACK handling in tcp_minisocks
- fix kernel panic with pptpd when mss > mtu
- fix console redirect bug
* Wed Apr 02 2003 - mantel@suse.de
- fix oops introduced by ptrace security fix
* Thu Mar 20 2003 - mantel@suse.de
- fix ptrace security hole
* Fri Nov 29 2002 - mantel@suse.de
- fix mass-exit bug
- fix possible security hole in get_vm_area
* Tue Nov 19 2002 - mantel@suse.de
- add hangcheck modules
* Tue Nov 19 2002 - mantel@suse.de
- clear TF flag
- fix the kernel's handling of the nested task (NT) flag
- fix SMP race with msgrcv
- fix TCP SYN RST handling
- fix /proc/cmdline exposing kernel memory
- add hangcheck drivers on request from Oracle
- fix polyserve reported problems that got broken by previous update
* Thu Oct 17 2002 - mantel@suse.de
- fix bug in SYN/ACK handling of ip_conntrack code
* Fri Aug 30 2002 - mantel@suse.de
- fix tail write ordering for O_DIRECT in reiserfs
- fix snapshot mounting bug for reiserfs and prevent reiserfs
  from replaying transactions from old mounts.
- add filesystem lock patch from polyserve
- allow "notsc" for SMP system
* Wed Aug 28 2002 - mantel@suse.de
- for SLES, we need IDE-CD and SCSI-CD in the kernel
- update config for new options
* Wed Aug 28 2002 - mantel@suse.de
- downgrade pcnet32 driver to known working version
- add workaround for piix IDE code
- add safe fixes from 2.4.20-pre1
* Tue Jul 23 2002 - kukuk@suse.de
- Adjust config to new kernel-source
* Tue Jul 23 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020722.
* Tue Jul 23 2002 - sf@suse.de
- added new patchset from ak (replaced patches.x86_64.tar.bz2)
* Mon Jul 22 2002 - sndirsch@suse.de
- added '9D_sisfb' patch (patches.tar.bz2) required for DRI support
  on SiS chips
* Mon Jul 22 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020719.
* Mon Jul 22 2002 - stepan@suse.de
- don't ignore abi patches on alpha
- fix agpgart patch to apply cleanly
- add patch to fix up exported symbols.
* Fri Jul 19 2002 - duwe@suse.de
- update 2.4.19-rc1 to -rc2
  patches deleted / trimmed / context updated accordingly;
- starfire "diff" deleted, clashes seriously.
- drivers/ieee1394 changes hidden in 020_pte-highmem-25 alike.
- ALSA update by Takashi
- Hammer updates by Stefan Fent
* Thu Jul 18 2002 - sndirsch@suse.de
- removed km_drm from module build
- added build of SIS fb module (required for SIS DRM module)
* Thu Jul 18 2002 - aj@suse.de
- Mount ext3 correctly as rootfs.
* Thu Jul 18 2002 - sf@suse.de
- corrected error in last patch
* Thu Jul 18 2002 - sf@suse.de
- make VESA-fb configurable in kernel
* Wed Jul 17 2002 - schwab@suse.de
- Fixes for O(1) scheduler on ia64.
- Add HP patches for ia64.
* Tue Jul 16 2002 - kukuk@suse.de
- Go back to old ACPI
* Tue Jul 16 2002 - ak@suse.de
- Update to latest x86_64 CVS. Remove obsolete patches.
* Tue Jul 16 2002 - kukuk@suse.de
- disable acpi on ix86
* Tue Jul 16 2002 - ak@suse.de
- x86_64 fix: make vesafb work (Vojtech Pavlik)
* Mon Jul 15 2002 - ak@suse.de
- x86_64 fixes:
  * disable IO MMU when no 8151 is available (BIOS bug workaround)
  * disable RTC interrupts to prevent problems with HPET timers
  * warn for invalid GART MTRRs
  * use UC mappings to user space for AGP GART
  * disable exception trace for now
* Wed Jul 10 2002 - schwab@suse.de
- New ia64 patches:
  * Bootmem initialisation on big machines
  * Pointer truncation in radeon fb driver
  * Security fix for flush_tlb_pgtables.
* Mon Jul 08 2002 - ak@suse.de
- Some fixes from x86-64 CVS
* Fri Jul 05 2002 - schwab@suse.de
- Fix ACPI initialisation.
* Fri Jul 05 2002 - ro@suse.de
- fix typo in last change
* Fri Jul 05 2002 - ro@suse.de
- set RPM_TARGET to i386 on i586 and i686
* Fri Jul 05 2002 - schwab@suse.de
- Fix compilation with CONFIG_IA64_GENERIC.
* Fri Jul 05 2002 - ak@suse.de
- Update to 2.4.19-rc1 snapshot CVS x86-64 kernel patch
  IDE changes dropped for now because they corrupt file systems.
- Port to O(1) scheduler
- Fix lilo on reiserfs
- Fix SMP build
* Thu Jul 04 2002 - schwab@suse.de
- Makefile fix for e100 driver.
* Thu Jul 04 2002 - schwab@suse.de
- Update ia64 patch.
* Wed Jul 03 2002 - mantel@suse.de
- enable new options for ACPI and ALSA
* Wed Jul 03 2002 - mantel@suse.de
- update to 2.4.19-rc1aa1
- update ALSA to cvs20020627
- update ips driver to 5.10.21
- add fx support to epic100 driver
- add futex 2.0
* Sun Jun 30 2002 - adrian@suse.de
- update to 2.4.19rc1
  * update patches
- 005_vm_07_local_pages-2 -> -3
- 005_vm_14_block_flushpage_check-1 -> -2
- 030_x86_setup-boot-cleanup-4 -> -5
- 070_xfs-1.1-2 -> -3
  * small fixes in
- 005_vm_17_rest-7 -> -8
- 52_extraversion-depend
  * rework patches
- 50_readv-2.4.18-pre7aa2
  * remove obsolete patches
- 000_apm-idle_period-parse-1
- 000_export-vmalloc_to_page-1
- 000_fix-stat-irq-1
- 000_scsi-error-thread-reparent-1
- 000_sig_ign-discard-sigurg-1
- 50_pci_highmem-fix-2.4.19-pre10aa2
- 50_ns83820-0.18-2.4.19-pre10aa2
- 50_export-acpi_walk_namespace-2.4.18
- fix spec file for cross compile
- add mips patches
* Tue Jun 25 2002 - schwab@suse.de
- Update ia64 patch.
* Mon Jun 24 2002 - mantel@suse.de
- add new driver CONFIG_SCSI_AIC79XX
* Mon Jun 24 2002 - mantel@suse.de
- update to 2.4.19-pre10aa4
- update JFS to 1.0.20
- update orinoco driver to 0.12
- small fix for modular ide-cd (nr_sects = 0)
- export do_select
- add aic79xx driver
- drop export of secure_ipv6_id (does not exist anymore)
- update IPVS to 1.0.3
* Sat Jun 22 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020622.
- Fix alsa patch.
* Fri Jun 21 2002 - tiwai@suse.de
- removed EXPORT_NO_SYMBOLS from ALSA sbawe module.
- fixed ALSA for x86-64.
* Wed Jun 19 2002 - mantel@suse.de
- enable new additional ALSA modules
- make IDE and SCSI CD-ROM drivers modular
* Wed Jun 19 2002 - mantel@suse.de
- fix no-depmod patch (we still need postinstall for pcmcia)
- add NFS locking fixes
- dirty inode speedup for reiserfs and ext3
- update JFS to 1.0.19
- make sure UP modules are compatible independent of compiler version
- re-add write barrier patch for reiserfs
- add xfs write barrier support for XFS
* Wed Jun 19 2002 - tiwai@suse.de
- updated alsa patches to cvs 0.9.0 rc2.
  including snd-usb-audio driver.
  ALSA directory is moved under linux/sound as well as on 2.5
  tree.
* Mon Jun 17 2002 - schwab@suse.de
- Fix more missing declarations.
* Mon Jun 17 2002 - schwab@suse.de
- Fix missing declarations.
* Sun Jun 16 2002 - schwab@suse.de
- Update ia64 patch.
* Fri Jun 14 2002 - mantel@suse.de
- update config, removed km_alsa from neededforbuild (alsa is now
  part of the kernel)
* Fri Jun 14 2002 - mantel@suse.de
- update to 2.4.19-pre10aa2
- update qla2x00 driver to 6.0b23
- added SteelEye patches
- added PolyServ patches
- update ns83820 driver to 0.18
- added workaround for USB storage module
- update summit patch to version from 7.5.2002
- update JFS to 1.0.18
- added some missing header includes
- temporarily removed accessibility stuff
- add new USB driver usbdnet v0.4b
- integrate ALSA into kernel sources
- fix floppy change bug
- add bugfixes to qlogicfc driver
* Wed Jun 12 2002 - mantel@suse.de
- update config due to new version
* Sat May 25 2002 - schwab@suse.de
- Increase default number of IO TLBs.
- Fix setup of cpu family.
* Wed May 15 2002 - olh@suse.de
- do not remove pte-highmem on ppc, build vmlinux on ppc64
* Tue May 14 2002 - kukuk@suse.de
- Add pte-highmem for sparc64
- Add lot of more sparc fixes
* Fri May 10 2002 - ak@suse.de
- Fix x86_64 compilation. Define correct ABI for x86-64 autofs.
* Thu May 09 2002 - schwab@suse.de
- Fix qla2x00-emc driver to compile.
* Thu May 09 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020508.
* Thu May 09 2002 - mantel@suse.de
- fix small patch reject introduced by x86-64 cleanup
- fix "make xconfig"
* Wed May 08 2002 - ak@suse.de
- Report x86-64 from CVS.
- Lots of 64bit driver fixes.
- Fix XFS for long flags.
- Remove x86-64 changes from common patches.
* Wed May 08 2002 - stepan@suse.de
- initial x86-64 support.
* Tue May 07 2002 - schwab@suse.de
- Fix file list.
* Mon May 06 2002 - mantel@suse.de
- correct fix for initrd free from Al Viro
* Mon May 06 2002 - mantel@suse.de
- remove reiserfs write barrier support
* Sat May 04 2002 - mantel@suse.de
- update due to new version
* Sat May 04 2002 - schwab@suse.de
- Update ia64 patch.
* Sat May 04 2002 - mantel@suse.de
- update to 2.4.19-pre8aa2
- fix ufs compilation
* Sat May 04 2002 - mantel@suse.de
- update to 2.4.19-pre8aa1
- update cciss driver to 2.4.27
- add sard support for cpqarray driver
- fix compilation when CONFIG_ROOT_NFS is set
- add summit patch 2002-05-03
- use official version 4.1.7 of e1000 driver
- update qla2200/qla2300 driver to 6.0b20
* Thu May 02 2002 - mantel@suse.de
- enabled new option CONFIG_CHR_DEV_SCH
* Thu May 02 2002 - mantel@suse.de
- update to 2.4.19-pre7aa3
- added scsi changer driver 0.20
- added some fixes from SteelEye to qla2x00 driver
* Mon Apr 29 2002 - mantel@suse.de
- update to 2.4.19-pre7aa2
- set needed compile option for dl2k driver
- fix for emu10k when compiled with highmem
- export "sb_limit_maxbytes" for intermezzo
- some Linux-ABI fixes from hch
- temporarily remove some cleanups from -pre7 until additional
  packages are fixed
* Thu Apr 25 2002 - mantel@suse.de
- update to 2.4.19-pre7aa1
- update JFS to 1.0.17
- update Linux ABI to 2.4.18.0
- add some entries for SCSI large lun (devices that report to be
  SCSI2 but are using large LUNs)
- update qla2x00 to 4.47.8 (EMC certified version)
- fix acct for 32 bit UID/GID
- add workaround for buggy CD-ROM drives (read TOC)
- update e100 to 1.8.38
- update starfire to 1.07
- add infiniband support 20020411
- update cyclades driver
- add accessibility/jupiter patches for blind users
- update i2c to 2.6.3
- update lm_sensors to 2.6.3
- fix endless loop in getpid
- fix for SIGURG for LSB testsuite
- fix some remaining drivers for pte-highmem
- make linux-abi compile
* Sat Apr 20 2002 - ro@suse.de
- replaced km_secum by km_secumod in neededforbuild
* Fri Apr 12 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020410.
- Remove ia64 compiler workarounds.
- Fix reiserfs virtual_node size computation for 64bit archs.
- Fix invalid use of compound literal.
* Wed Apr 10 2002 - ro@suse.de
- removed km_vdtxt (removed package)
* Wed Mar 27 2002 - garloff@suse.de
- Fix for rpc buffer size adjustment for NFS (from ak).
* Wed Mar 27 2002 - garloff@suse.de
- Fixed RPC congestion handling broken by nfs-tcp-tweaks patch
  which caused devastating performance sometimes. (#15423)
- Two patches for Alpha architecture: Fix NR_SYSCALLS in entry.S
  and underflow handling for floats in kernel IEEE math support.
- Don't apply mxt7  on alpha (depends on sisbug)
* Mon Mar 25 2002 - ro@suse.de
- added patch from axboe to work around problems with
  samsung cd-rom firmware (unable to mount medium)
* Sun Mar 24 2002 - mantel@suse.de
- fix XFS high load race
* Sat Mar 23 2002 - mantel@suse.de
- disabled CONFIG_USB_KBD and CONFIG_USB_MOUSE (handled by
  hid + input + keybdev + mousedev)
* Fri Mar 22 2002 - mantel@suse.de
- fix wrong vfree in HFC PCI (#15290)
- fix problems with PCMCIA and USB Hotplug (after the driver did a
  unload here was no chance to delete the network interface
  ==> isdn module cannot unload anymore).
- fix XFS not always vfreeing vmalloced memory
- fix syn ack bug
* Wed Mar 20 2002 - mantel@suse.de
- added Provides for update
* Wed Mar 20 2002 - mantel@suse.de
- update cpqarray driver to 2.4.21B
- fix typo in boot splash patch
- fix wrong 50_AM53C974-ioport-register-2.4.18 (revert condition)
* Tue Mar 19 2002 - mantel@suse.de
- enable new firewire modules
* Tue Mar 19 2002 - mantel@suse.de
- update firewire subsystem to CVS version and make it compile
  with current official compiler
- update USB wacom driver to 1.21.3
* Mon Mar 18 2002 - mantel@suse.de
- fix small quota bug (users would see non-uptodate quotas)
- correctly export symbol IO_APIC_get_PCI_irq_vector for hotplug
- some netfilter fixes:
  + ipt_string is now SMP safe
  + a REJECT icmp was eventually sent with DF set, which does
  not make sense as DF is not handled with ICMP messages
  + clean up Configure.help texts
- fix JFS race introduced by thread handling cleanup
- fix typo in sysctl-by-name interface
- fix broken page_to_phys() for > 4GB case on x86
- make AM53C974 driver register its IO-space and fail if no
  adapter is found with available IO-space
- change aic7xxx driver to register its IO ports even if it uses
  memory mapped IO to access the registers; this ensures we don't
  clash with aic7xxx_old anymore
- make XFS return proper errnos
* Thu Mar 14 2002 - mantel@suse.de
- update e1000 driver to 4.2.4
- update tigon3 driver to 0.97
- some small updates from Andrea:
  + 50_dnotify-fl_owner-2
  This is the new version that handles per-"files" notifier
  (so not only fork() will stop messing with the parent, but
  the child will be allowed to use its own notifier too)
  + 9A_blk-highmem-updates-1
  This one adds the highmem = 1 to via and amd chipsets.
  + 9A_f00f-pte-highmem-1
  fix boot problem for classical Pentium MP systems. Problem
  was caused by use of vmalloc before smp_init
  + 9A_fdatasync-FIFO-1
  This is an obviously safe and right optimization that will
  streamline the msync I/O in ascendent order (good for most storages).
  + 9A_really-write-inode-1
  This fixes O_SYNC/fsync and it makes sure the inode updates are
  really been flushed by the time we return from sync_one.
  + 9A_vm-deadlock-fix-1
  Fix possible ext3 deadlock problem under high load
- use more elegant lcall_trace fix from 2.4.19-pre3
* Wed Mar 13 2002 - mantel@suse.de
- enabled CONFIG_JFS_STATISTICS
* Wed Mar 13 2002 - mantel@suse.de
- export symbol IO_APIC_get_PCI_irq_vector (needed by hotplug)
- update JFS to 1.0.16
- fix 64 bit breakage in rwsem-fair
- add scatter pad for sr driver
- some more XFS fixes from Andi Kleen
- update ns83820 driver to 0.17
- update bcm5700 driver to 2.2.8
- increase TX locks for JFS; this is just a workaround
* Mon Mar 11 2002 - schwab@suse.de
- Update ia64 patch.
* Mon Mar 11 2002 - mantel@suse.de
- fix NFS hang for slow cards
- fix boot splash patch when switching fb device
- update sis5513 driver to 0.13
- fix raw ioctl forwarding patch (use i_rdev instead of i_dev)
- better dnotify fix
- update tigon3 driver to 0.96
- some USB updates pending for 2.4.19-pre2 from Greg:
  usb-ipaq, usb-cyberjack, usb-ov511, usb-uhci and usb-storage
- update DC395 driver to 1.38
- various XFS fixes:
  + Always report 4K block size in stat(2) to work around db1.85
  bugs
  + Fix access after free race in pagebuf
  + Fix growfs crash due to not zeroed data structures that was
  added in the new non synchronous delete patches that went in
  quickly before we branched
  + Fix irixism in group sgid handling
  + Avoid quota problem when mounting read only XFS LVM snapshots;
  don't try to log a quota status change on the read only volume
  + Build fix when procfs is disabled
  (Andi Kleen and Eric Sandeen)
- fix SMP race in multipath routing
* Mon Mar 11 2002 - mantel@suse.de
- updated to build on s390x (merged from bk)
* Tue Mar 05 2002 - mantel@suse.de
- enabled new option CONFIG_NET_PKTGEN
* Tue Mar 05 2002 - mantel@suse.de
- add two missing module license tags
- fix ISDN EnterNow! compilation for IA64
- fix tcsetattr(TCSAFLUSH) discarded output problem
- update tigon3 driver to 0.95
* Mon Mar 04 2002 - mantel@suse.de
- enabled new option CONFIG_HISAX_ENTERNOW_PCI
* Mon Mar 04 2002 - mantel@suse.de
- small fix for GCC 3.1 (triggered by XFS)
- add ordered write support for reiserfs
- fix return codes for msync and mprotect
- update tigon3 driver to 0.94
- add support for USR Robotics ISDN PCI Card TA
- add support for Eicon Diva 2.02 PCI
- add support for Formula One EnterNow!
- allow early ioremap (hopefully fixes boot problem on MXT)
* Sun Mar 03 2002 - schwab@suse.de
- Fix race between sync_supers and kill_super.
* Fri Mar 01 2002 - ro@suse.de
- fix changelog merging
* Fri Mar 01 2002 - mantel@suse.de
- enable new drivers
- disable CONFIG_MODVERSIONS
* Fri Mar 01 2002 - mantel@suse.de
- update to 2.4.19-pre1aa1
- increase default number of loop devices to 16
- don't automatically load dc2xx and stv680 driver
- update tigon driver to 0.92
- several ISDN updates from Karsten Keil
- new PCI hotplug drivers from Greg Kroah
- fix IDE timings for secondary slave
- update IPS ServeRaid driver to 4.90.18
- update bcm5700 driver to 2.2.5
- update dc395x driver to 1.37
- fix for theoretical reiserfs corruption when disk gets full
- update ymfpci driver (backport from 2.5)
- sd cleanup fixes finally in
- update LSI drivers to 2.00.11
- fix reiserfs oops for blocksize != 4k
- adapt MXT to -aa VM
- update sk9dlin driver to 1.03
- update sk98lin driver to 4.11
- add include/linux/modules/*.ver files to filelist
- export acpi_walk_namespace (needed by pcihpacpi)
- update cciss driver to 2.4.27 (2.4.19-pre1 version is incomplete)
- fix return value for shmdt
* Wed Feb 27 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020226.
* Tue Feb 26 2002 - mantel@suse.de
- update to 2.4.18; enable new drivers
* Tue Feb 26 2002 - mantel@suse.de
- update to 2.4.19-pre1
- added 3c359 token ring driver 1.2.0
- added AMD Elan watchdog driver
- update pcwd watchdog driver
- fix possible quota corruption on high SMP load
- fix for wrong gid on reiserfs dir creation
- add tigon3 driver 0.90
- fix for lcall7/lcall27 trace
* Mon Feb 25 2002 - mantel@suse.de
- update to 2.4.18-rc4aa1 (Andrea Arcangeli)
- qla2x00 should correctly inline kmem_zalloc
- remove double condition check from dquot.c (Jan Kara)
- fix listxattr call for XFS (Nathan Scott)
* Mon Feb 25 2002 - schwab@suse.de
- Export power management hooks on ia64.
* Sun Feb 24 2002 - olh@suse.de
- fix fake_initrd for boot floppies (#12628)
* Sat Feb 23 2002 - mantel@suse.de
- enable XFS
* Sat Feb 23 2002 - mantel@suse.de
- fix device node clash for Auerbach devices (Wolfgang Mes)
- update via driver to 3.34 (Vojtech Pavlik)
- add XFS support (Nathan Scott)
- update to 010_vm-26 (Andrea Arcangeli)
* Fri Feb 22 2002 - mantel@suse.de
- update to 2.4.18-rc4
- high I/O is no longer experimental (Jens Axboe)
- update write barrier code (Jens Axboe, Chris Mason)
- serialize microcode updates (Sunil Saxena)
- update quota patch to 2.4.17-3 (Jan Kara)
- allow user to manually enable DMA for all IDE devices even when
  CONFIG_IDEDMA_ONLYDISK is active (Jens Axboe)
* Fri Feb 22 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Feb 21 2002 - mantel@suse.de
- update to 2.4.18-rc2aa2
- update USB subsystem to latest version from Greg
- update i2o to version from 2.4.18-rc2ac1
- update mxser driver to 1.2.1
- update sis driver to 1.3.11
* Wed Feb 20 2002 - mantel@suse.de
- enable CONFIG_INPUT_FM801 gameport driver
- enable CONFIG_USB_EHCI_HCD driver
* Wed Feb 20 2002 - mantel@suse.de
- update to 2.4.18-rc2
- downgrade to older VM-22
- add module license tags for netfilter modules
- add kinoded
- add O_DIRECT support for reiserfs
- fix oops in hpfs (s_blocksize needs to be set earlier)
- update LVM to 1.0.3 (user space only, so just version number)
- remove IDE noop code
- modify correct aic7xxx template for highio and varyio
- add write barrier patch from Chris Mason
- make MXT compile for certain configurations
- update e100 driver to 1.8.37
- update e1000 driver to 4.0.7
- add driver for ForteMedia 801 gameports
* Tue Feb 19 2002 - schwab@suse.de
- Fix i830 drm driver for ia64.
- Fix ia64 linker script.
* Mon Feb 18 2002 - mantel@suse.de
- update config for new DRM version
* Mon Feb 18 2002 - mantel@suse.de
- added Conflicts: tag
* Mon Feb 18 2002 - mantel@suse.de
- update IDE code to 02152002
- update JFS to 1.0.15
- fix reiserfs quota patch (chattr to uids > 2^16 on new format)
- use official DRM update (-ac kernel now uses rmap VM)
* Sun Feb 17 2002 - kukuk@suse.de
- merge changelog with one from kernel-sources
* Thu Feb 14 2002 - mantel@suse.de
- disable CONFIG_FB_TRIDENT (does not build)
* Thu Feb 14 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Feb 14 2002 - mantel@suse.de
- update to 2.4.18-rc1
- correctly check rlim for F_DUPFD
- revert to old driver name "aic7xxx" even with new version 6.2.5
- fix xconfig for new aic7xxx (comment out unimplemented driver)
* Wed Feb 13 2002 - ro@suse.de
- removed km_memst
* Wed Feb 13 2002 - mantel@suse.de
- update config due to new options
* Wed Feb 13 2002 - mantel@suse.de
- update aic7xxx to 6.2.5
- update pcnet32 to 1.27a
- update qla2x00 to 5.38b16
- add MXT support
- update USB pegasus to 0.4.23
- update u14f-34f to 6.50
- update sis video driver to version from 2.4.18-pre9ac3
- add device ID for sb-card
- update qnx fs support; r/o support no longer experimental
- update olympic TR driver to 1.0.0
- update matrox fb to 1.62
- small fix to avoid DELL Latitude crash
- add i2o work around
- add new device id for eepro100
- update eata to 6.50
- update DRM drivers to version from 2.4.18-pre9ac3
- add bridge resources to the resource tree
- add support for AMD768 RNG and power management
- workaround for non-PCI compliant BIOS
- add new device id for RTL8139
- add NeoMagic Framebuffer Driver
* Mon Feb 11 2002 - ro@suse.de
- removed km_ppp_mppe from neededforbuild
* Mon Feb 11 2002 - mantel@suse.de
- enabled CONFIG_MODVERSIONS
* Mon Feb 11 2002 - mantel@suse.de
- update DC395 driver to 135a
- make mmap return value POSIX conform
- update boot splash to 2.0.1
* Sat Feb 09 2002 - schwab@suse.de
- Fix clone2 also for 32bit processes.
* Fri Feb 08 2002 - mantel@suse.de
- update config due to new options
* Fri Feb 08 2002 - mantel@suse.de
- update to 2.4.18-pre9
- update IDE code to 02072002
- update 50_mss-fix-2.4.18-pre9
- add mtrr patch for HT
- add tiny network fixes from Jeff
- optimize kiobuf_init
- add missing module license tags
- forward ioctl for raw devices
* Fri Feb 08 2002 - schwab@suse.de
- Fix memory corruption in clone2 syscall.
* Fri Feb 08 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Feb 07 2002 - olh@suse.de
- add 70__zzz_fix_aa-2.4.18-pre8-1.diff
* Wed Feb 06 2002 - mantel@suse.de
- added new options CONFIG_CISS_SCSI_TAPE and CONFIG_CISS_ENTROPY
* Wed Feb 06 2002 - mantel@suse.de
- update to 2.4.18-pre8
- make MSS advertisement to be RFC1122 compliant
- more efficient dcache allocation
- fix page cache upper limit checking
- reduce mount hash table to a reasonable size
- pick correct key version in reiserfs
- fix dnotify
- new SCSI reset patch version from SteelEye
- fix cosa compilation in 2.4.18-pre8
- update cciss driver to 2.4.27
- fix BUG when encountering read errors on MO media
- revert freevxfs to -pre7 until missing include gets found
- fix 000_nanosleep-6 (get_fast_time no longer exists)
* Mon Feb 04 2002 - kukuk@suse.de
- Fix tcsetpgrp (0 is no valid process group)
* Mon Feb 04 2002 - schwab@suse.de
- Fix pte-highmem for ia64.
- Increase max-inline-insns.
* Sun Feb 03 2002 - mantel@suse.de
- enable ACPI
* Sun Feb 03 2002 - mantel@suse.de
- update to 2.4.18-pre7aa2
- add support for summit machines
- fix reiserfs atime for truncate
- fix quickcam driver for pte-highmem
- add small readv fix
- add support for large SCSI luns
- update i810-audio to 0.21
* Thu Jan 31 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Jan 31 2002 - mantel@suse.de
- fix pagetable corruption bug in pte-highmem
* Wed Jan 30 2002 - mantel@suse.de
- enable CONFIG_BLK_DEV_OFFBOARD to allow for "ide=reverse"
- use FAT/MSDOS file systems as modules instead of linking in
* Wed Jan 30 2002 - mantel@suse.de
- update to 2.4.18-pre7aa1
- update LVM snapshot locking patch
- fix missing atime update on reiserfs and pipes
- added dyn_mp_bus_2002-01-16
* Tue Jan 29 2002 - schwab@suse.de
- Update ia64 patch.
* Tue Jan 29 2002 - mantel@suse.de
- update to 2.4.18-pre7
- update LVM to 1.0.2
- add IBM hotplug driver
- update boot splash patch to 2.0.0
- fix ipfwadm compilation
- fix autofs for PPC and s/390
- update JFS to 1.0.14
- add missing netfilter files
- fix typo in "pci_unmap_addr_SET"
* Mon Jan 28 2002 - mantel@suse.de
- added new modules
* Fri Jan 25 2002 - mantel@suse.de
- added km_drbd
* Fri Jan 25 2002 - schwab@suse.de
- Update ia64 patch.
* Wed Jan 23 2002 - mantel@suse.de
- update due to new version
* Wed Jan 23 2002 - mantel@suse.de
- update to 2.4.18-pre4aa1 (contains pte-highmem)
- downgrade qla2x00 to EMC certified version 4.46.5
- add cciss block-high diagnosis patch
- rename old sym53c8xx driver to sym53c8xx-old to avoid name clash
- update IDE code to 01192002
- removed 020_pte-highmem-6 (does not yet work in all configs)
* Fri Jan 18 2002 - mantel@suse.de
- export req_finished_io for modular SCSI
- update ext3 to 2.4-0.9.17
- update bcm5700 driver to 2.0.34
* Wed Jan 16 2002 - mantel@suse.de
- enable support for NFS root
* Wed Jan 16 2002 - schwab@suse.de
- Fix syntax error in speedtouch driver.
- Update ia64.defconfig.
* Wed Jan 16 2002 - s@suse.de
- removed 100_pci_iommu patch from Compaq, It's already included in
  2.4.18-pre3 (only for Alpha)
- changed 100_drm-patch to apply to 2.4.18-pre3 (only Alpha)
- added 100_stats-2.4.17.diff to include <linux/init.h> to
  ./net/sunrpc/stats.h
* Wed Jan 16 2002 - mantel@suse.de
- update to 2.4.18-pre4
- update i810_audio to 0.20
- update e100 driver to 1.6.29
- update e1000 driver to 3.6.8
- update speedtouch driver
- update bcm5700 driver to 2.0.24
- add ecc memory monitoring driver 0.14
- add netgear 621/622 drivers
- add missing cs4281_wrapper.h
* Mon Jan 14 2002 - mantel@suse.de
- update to 2.4.17
* Mon Jan 14 2002 - schwab@suse.de
- Update ia64 patch to 2.4.17-011226.
* Mon Jan 14 2002 - mantel@suse.de
- update to 2.4.18-pre3 and -pre2aa2
- update Linux-abi to 2.4.17.0
- update JFS to 1.0.12
- update qla2x00 to 4.46.12b
- update qla2200/2300 to 5.36.3
- make max open files dependant on amount of RAM
- allow for broadcomm driver to be linked into kernel
- add new IDE stuff 12102001
- increase maximum number of MP busses
- make softdog margin readable from /proc
- update qla1x160 to 3.12; add compile fixes
- add sard patches
- add driver for netgear 622
- small bugfix in lock device layer (release request)
- fix APIC alignment bug
- make orinoco driver compile (add missing header files)
- add aacraid updates from 2.4.18-pre3ac2
- add i2o updates from 2.4.18-pre3ac2
- update rcpci45 driver to 2.20
- add codepage for Slavic/Central European Languages
- make radeonfb driver compile
* Tue Dec 18 2001 - mantel@suse.de
- revert to the stock IDE code since the new one renames
  devices
* Mon Dec 17 2001 - mantel@suse.de
- fix severe performance problems with loop device; backported
  from -pre7aa1; removed obsolete patches
- fix reiserfs remount problem with converted filesystems
* Sat Dec 15 2001 - schwab@suse.de
- Update ia64 patch to 2.4.16-011214.
* Wed Dec 12 2001 - mantel@suse.de
- fix NFS race
- fix for incorrect inode mapping; fixes direct IO
- set correct i_mode for inode
- revert one line from -aa so that buffers won't grow to much
* Tue Dec 11 2001 - sf@suse.de
- added a fix for jensen
- cleaned up spec
- remove sisbug for Alpha
* Mon Dec 10 2001 - mantel@suse.de
- removed km_mwavem from neededforbuild
* Mon Dec 10 2001 - mantel@suse.de
- allow more symlinks
- fix JFS bug
- add DMA mask fix
- make somaxconn sysctl configurable
- fix for loop device hang
- add bugfix for generic_direct_IO
- add bugfix for ip_nat_irc
- update ns83820 to 0.15
- add bugfix for ymfpci driver
* Fri Dec 07 2001 - bk@suse.de
- first step in updating the s390 parts to 2.4.16
- defconfig.tar.bz2: s390x.defconfig is a symlink to s390.defconfig
- removed outdated GFS patches
* Wed Dec 05 2001 - mantel@suse.de
- add older driver CONFIG_SCSI_QLOGIC_QLA2X00
* Wed Dec 05 2001 - mantel@suse.de
- add audit patch for support of 2 TB filesystems
- add fix for s_maxbytes handling
- add older version v4.31.8 of qla2x00 (certified by EMC)
- update JFS to 1.0.10
- fix module license for NLS modules
- add updates from 2.4.17-pre2 for ieee1394, USB and irda
- add reiserfs updates from 2.4.17-pre2
- smarter atime update (blessed by LT)
* Tue Dec 04 2001 - schwab@suse.de
- ia64 fixes in signal and swiotlb handling.
* Fri Nov 30 2001 - mantel@suse.de
- update to 2.4.17-pre1aa1 (just cosmetic cleanup)
- fix another problem with sd_blocks in reiserfs quota
* Thu Nov 29 2001 - schwab@suse.de
- Update ia64 patch to 2.4.16-20011128.
* Thu Nov 29 2001 - mantel@suse.de
- update to 2.4.17-pre1
- fix xconfig for reiserfs
- make UML actually compile
- new version of sisbug fix
- fix sd_blocks problem for reiserfs quota
- fix reiserfs preallocation problem
- fix time syscall (was not always monotonous)
- update e100 to 1.6.29 and e1000 to 3.5.19
* Wed Nov 28 2001 - sf@suse.de
- added alpha patches from Compaq.
* Mon Nov 26 2001 - mantel@suse.de
- update to 2.4.16
* Mon Nov 26 2001 - mantel@suse.de
- update due to new IDE code
* Mon Nov 26 2001 - mantel@suse.de
- update to 2.4.16
- add megaraid fix again
- added small quota bugfix
* Mon Nov 26 2001 - schwab@suse.de
- Update ia64 patch.
* Mon Nov 26 2001 - mantel@suse.de
- update IDE code to 2.4.16-p1.11242001
- update Linux-ABI to 2.4.15
* Sat Nov 24 2001 - mantel@sus.de
- update to 2.4.15aa1 (fix umount problem)
- update aacraid driver to 2.4.15-aacraid-20011123
* Fri Nov 23 2001 - mantel@suse.de
- update to final 2.4.15
* Fri Nov 23 2001 - schwab@suse.de
- Update ia64 patch.
- Restore ia64 ksyms patch.
* Fri Nov 23 2001 - mantel@suse.de
- update to final 2.4.15
* Fri Nov 23 2001 - mantel@suse.de
- update to 2.4.15-pre-final plus patches from -pre9aa1
* Thu Nov 22 2001 - olh@suse.de
- update ia64 ksyms patch
* Thu Nov 22 2001 - olh@suse.de
- update linux-abi patch to compile again
* Thu Nov 22 2001 - olh@suse.de
- update 70__mmporter_prep_pci-2.4.15-pre9-1.fix
  use "badpci" to tweak pci ressource assignment
* Thu Nov 22 2001 - olh@suse.de
- update ppc patch 70__2.4.15-pre9-linuxppc_2_4-1.diff
* Thu Nov 22 2001 - mantel@suse.de
- update to 2.4.15-pre9
- update aacraid driver to 2.4.13-20011105
* Wed Nov 21 2001 - mantel@suse.de
- update to 2.4.15-pre7aa1
* Wed Nov 21 2001 - stepan@suse.de
- added 55_alpha_ext3_ksyms-2.4.14-SuSE.diff
- added 55_alpha_generic_srm_fix-2.4.14-SuSE.diff
* Wed Nov 21 2001 - mantel@suse.de
- update to 2.4.15-pre8
- rediffed 50_config.gz-2.4.15-pre8 and 50_ide-11062001-2.4.15-pre8
- export needed fb functions
* Wed Nov 21 2001 - mantel@suse.de
- update to 2.4.15-pre7aa1
- update IPVS to 0.8.2
- add Coolscan ID
- update i2c and lm_sensors to 2.6.2
- fix oops in JFS xtSearch
* Tue Nov 20 2001 - schwab@suse.de
- Update ia64 patches.
* Mon Nov 19 2001 - mantel@suse.de
- update to 2.4.15-pre6aa1
* Mon Nov 19 2001 - mantel@suse.de
- update to 2.4.15-pre6aa1
- update JFS to 1.0.9
- update Linux-ABI to 2.4.14
- added aiptek USB driver 0.1
- update IDE code to ide.2.4.14.11062001
- re-added block-highmem-all-18
- added 60_fbgen_export-2414S4
- remove duplicate syscall symbol exports (introduced by Linux-ABI)
* Fri Nov 16 2001 - schwab@suse.de
- Fix missing page alignment that could clobber ia64_boot_param.
- Output CRLF instead of LFCR on serial console.
* Wed Nov 14 2001 - ro@suse.de
- update config for new driver
* Wed Nov 14 2001 - ro@suse.de
- added sk9dlin driver
* Tue Nov 13 2001 - ro@suse.de
- updated config for 2.4.15pre3
* Tue Nov 13 2001 - stepan@suse.de
- Added Alpha specific patch to fix PCI subsystem.
* Tue Nov 13 2001 - schwab@suse.de
- Readd lost ia64 patch for agp.
* Tue Nov 13 2001 - ro@suse.de
- fix name of patch to be ignored for sparc (70__ide-2.4.11)
* Tue Nov 13 2001 - ro@suse.de
- apply ide on ppc, don't apply any ide on sparc
* Tue Nov 13 2001 - schwab@suse.de
- Update ia64 patches.
- Fix 50_quota-patch-2.4.14-pre7.diff for ia64.
* Mon Nov 12 2001 - ro@suse.de
- added alpha patches:
  60_2.4.14p7aa2.SuSE-AXP-fixes
  60_2.4.14p7aa2.SuSE-cirrus-fixes
* Mon Nov 12 2001 - ro@suse.de
- updated ppc-patches (70__)
* Mon Nov 12 2001 - ro@suse.de
- up to 2.4.15pre3aa
- obsolete:
  000_strnlen_user-x86-ret1-1
  50_ext3-2.4-0.9.14-2.4.15-pre1
  50_pppoatm-2-2.4.15-pre1
- rediffed:
  000_rwsem-fair-23
  010_vm-13
  50_fake_initrd-2.4.5
  50_quota-patch-2.4.14-pre7.diff
  50_reiserfs-stable-2.4.10-pre12
- redone:
  000_lvm-1.0.1-rc4-3 (diffed to pre1aa1 files again)
  000_rwsem-fair-23-recursive-4 (additional down read in ia64)
* Sun Nov 11 2001 - ro@suse.de
- add error_log to export-objs in arch/ppc/kernel/Makefile
  99_ppc_export_symflags
* Sun Nov 11 2001 - ro@suse.de
- try to fix compilation on alpha and ppc
  no ide-patches on ppc
  don't apply duplicate-exports on alpha
* Sun Nov 11 2001 - schwab@suse.de
- Update ia64 patch to 2.4.14-011105.
* Sat Nov 10 2001 - ro@suse.de
- remove km_emu10
* Sat Nov 10 2001 - ro@suse.de
- updated config for 2.4.15pre1aa1
* Sat Nov 10 2001 - ro@suse.de
- 50_ipvs-0.8.1-2.4.15-pre1: page_cache_size is not atomic_t
  any longer
* Sat Nov 10 2001 - ro@suse.de
- update to 2.4.15pre1aa1
- obsolete:
  50_bonding-patch-2.4.4-20010601
  50_inflate-fs-2.4.14-pre3
  50_zlib-fs-h-missing-2.4.14-pre3
- re-diffed:
  502_ipt_string-2412.diff
  50_dc395-132-2.4.7-pre3
  50_ext3-2.4-0.9.14-2.4.14-pre7aa1
  50_intel-e100-e1000-2.4.13-pre6
  50_ipvs-0.8.1-2.4.7-pre3
  50_jfs-1.0.8-2.4.13-pre3
  50_pppoatm-2-2.4.10-pre12
  50_sisbug-2.4.14-pre3
  51_lm_sensors-2.6.1-2.4.13-pre5
- updated:
  50_quota-patch-2.4.14-pre7.diff
  90_nesting_reiserfs-8
  91_reiserfs-quota-14
- updated defconfigs
- version up to 2.4.14
* Thu Nov 08 2001 - kukuk@suse.de
- Update SPARC patches
* Mon Nov 05 2001 - ro@suse.de
- up to pre7aa2
- obsolete:
  50_fix-netconsole-2.4.13-pre2
- re-diffed:
  50_ext3-2.4-0.9.14-2.4.14-pre6aa1
  50_ide-2.4.14pre6
* Mon Nov 05 2001 - schwab@suse.de
- Update ia64 patch to 2.4.13-011024.
* Fri Nov 02 2001 - ro@suse.de
- update for 2.4.14-pre6aa1
* Fri Nov 02 2001 - ro@suse.de
- up to pre6aa1
- obsolete:
  503_ipt_irc_conntrack_nat-2412.diff
  506_ipt_LOG_ipv6-2412.diff
  90_block-highmem-all-17b-2.4.14-pre3aa1  (in pre6aa1)
  90_syncookie-2.4.7
  99_export-nohighio-2.4.13-pre6
- re-diffed:
  504_ipt_ah_esp-2412.diff
  50_ext3-2.4-0.9.14-2.4.14-pre5aa1
  50_ide-2.4.11
  50_linux-abi-2.4.12.0-2.4.14-pre5aa1
  50_quota-patch-2.4.13-pre2
  91_reiserfs-quota-12-2.4.13-pre6
- updated defconfig
* Tue Oct 30 2001 - mantel@suse.de
- update ext3 to 2.4-0.9.14-2414p5
- update Linux-ABI to 2.4.12.0
* Tue Oct 30 2001 - mantel@suse.de
- update to 2.4.14-pre5aa1
* Mon Oct 29 2001 - mantel@suse.de
- update to 2.4.14-pre3aa3
- build additional fixed modules
* Mon Oct 29 2001 - mantel@suse.de
- update to 2.4.14-pre3aa4
* Mon Oct 29 2001 - mantel@suse.de
- update to 2.4.14-pre3aa3
- add sis bug workaround
* Sun Oct 28 2001 - mantel@suse.de
- update to 2.4.14-pre3aa1
* Sun Oct 28 2001 - mantel@suse.de
- update to 2.4.14-pre3aa2
* Sun Oct 28 2001 - mantel@suse.de
- update to 2.4.14-pre3aa1
- update boot splash patch to 0.9.17
- re-added block-highmem patch; we really need this for decent
  performance
- add fix for syncookie vulnerability
* Thu Oct 25 2001 - mantel@suse.de
- update to 2.4.14-pre1
* Thu Oct 25 2001 - mantel@suse.de
- update to 2.4.14-pre1
- fix compilation of pdc driver
- allow IDE drivers to be built als module
- apply Linus' brown paper bug fix ;)
* Tue Oct 23 2001 - mantel@suse.de
- added support for CONFIG_USB_SPEEDTOUCH
* Tue Oct 23 2001 - mantel@suse.de
- fix high load reiserfs problem with quota
- yet another fix for boot splash
- add Alcatel Speedtouch USB modem support
* Mon Oct 22 2001 - mantel@suse.de
- update to 2.4.13-pre6
* Mon Oct 22 2001 - mantel@suse.de
- fix problem with ywrap/ypan in boot splash
* Mon Oct 22 2001 - mantel@suse.de
- update to 2.4.13-pre6
- update ext3 to 0.9.13
- fix boot splash patch problem with setfont
- fix RCU fd patch (from IBM)
* Fri Oct 19 2001 - mantel@suse.de
- update to 2.4.13pre5aa1
* Fri Oct 19 2001 - mantel@suse.de
- update to 2.4.13-pre5aa1
- fix qlogicfc for new PCI64
* Fri Oct 19 2001 - mantel@suse.de
- improve performance of quota on reiserfs
- handle out of space when making a hole on a file in reiserfs
- fix data corruption on 3ware controller (block-highmem-all-17b)
* Thu Oct 18 2001 - mantel@suse.de
- update to 2.4.13-pre4
* Wed Oct 17 2001 - mantel@suse.de
- added km_scsl
* Wed Oct 17 2001 - mantel@suse.de
- update jfs to 1.0.8
* Wed Oct 17 2001 - mantel@suse.de
- remove 000_seg-reload-1; it's a wrong "optimization" and the
  current version is even buggy (dosemu could crash the machine)
- update 90_nesting-reiserfs: fixes a deadlock where the transaction
  nesting pointer might get nulled out too soon. Very hard to hit,
  only causes hangs, not corruption
- update 91_reiserquota-patch: when copying stat data to disk,
  set the block count on directories the same way non-quota reiserfs
  versions did (they round up)
- 50_kreiserfsd-timeout: interruptible_sleep_on_timeout works in
  jiffies
- 50_block-highmem-all-17: no bounce buffers for highmem I/O. Can be
  disabled by command line parameter "nohighio"
* Tue Oct 16 2001 - mantel@suse.de
- update to 2.4.13-pre3aa1
- build additional IPT modules
- added km_iscsi
* Tue Oct 16 2001 - mantel@suse.de
- update to 2.4.13-pre3aa1
- update osst driver to 0.9.9
- update DAC960 driver to 2.4.11
- assorted IP tables extensions
- fix possible deadlock in quota code
- fix i2o compilation (is now in directory message/i2o)
- fix compilation of UDF
* Tue Oct 16 2001 - kukuk@suse.de
- Disable splash patch on SPARC
- Compile reiserfs with -O1 on SPARC
* Mon Oct 15 2001 - mantel@suse.de
- build mwave module
* Mon Oct 15 2001 - mantel@suse.de
- small update for quota on reiserfs
- ugly workaround for IDE taskfile link problem
- fix "make xconfig" for netconsole
- correct snapshot locking patch
- don't use floating point in kernel (openssl-0.9.6-mppe)
- build mwave module
* Sun Oct 14 2001 - mantel@suse.de
- merge Sparc patches
- remove 61_sparc64.memory_clobber.diff (no longer needed)
* Sun Oct 14 2001 - mantel@suse.de
- update to 2.4.13-pre2aa1
- add quota for reiserfs support
* Sun Oct 14 2001 - kukuk@suse.de
- Export more symbols for tux in SMP mode on UltraSPARC
- Add sparc32 highmem fix
- Update defconfig for SPARC
* Sat Oct 13 2001 - kukuk@suse.de
- Update SPARC patches
* Fri Oct 12 2001 - mantel@suse.de
- update to 2.4.13-pre1
* Fri Oct 12 2001 - mantel@suse.de
- update to 2.4.13-pre1
- update aic7xxx driver to 6.2.4
- update lm_sensors to 2.6.1
- fix log replay problem of JFS
- added some i2o fixes
* Thu Oct 11 2001 - mantel@suse.de
- update to 2.4.12
* Thu Oct 11 2001 - mantel@suse.de
- update to 2.4.12aa1
* Thu Oct 11 2001 - mantel@suse.de
- update to 2.4.12
- update JFS to 1.0.7
- update aacraid driver to 20011010
- fix cosmetical problem with "free" displaying bogus values
- fix parport-pc which got broken by 2.4.12
* Wed Oct 10 2001 - mantel@suse.de
- update to 2.4.11aa1
* Wed Oct 10 2001 - mantel@suse.de
- update to 2.4.11aa1
- fix compilation of at1700 driver
* Fri Oct 05 2001 - mantel@suse.de
- update to 2.4.11-pre4
* Fri Oct 05 2001 - sf@suse.de
- removed '99_irq-alpha-01', is not neccessary anymore
* Tue Oct 02 2001 - schwab@suse.de
- Add ia64 update patch.
* Fri Sep 28 2001 - ro@suse.de
- 60_rss-fix: test for VALID_PAGE first
- s390 only: Remove outdated s390 patches
* Thu Sep 27 2001 - schwab@suse.de
- Update ia64 patch to 2.4.10-010924.
* Thu Sep 27 2001 - mantel@suse.de
- fix oops with pppoe on failed authentication
- fix ISDN shutdown problem
- remove enable apic patch; it is not correct anyway
- fix cosmetic problem with ps and top output
- fix theoretical division by zero in shrink_caches
* Tue Sep 25 2001 - mantel@suse.de
- enable IDE DMA only for disks; there are too many broken CD drives
* Tue Sep 25 2001 - mantel@suse.de
- invalidate ramdisk buffers correctly
* Mon Sep 24 2001 - mantel@suse.de
- update boot splash patch to 0.9.12
- fix sparc32 uaccess
* Mon Sep 24 2001 - mantel@suse.de
- update Moxa serial driver to 1.2.1
* Mon Sep 24 2001 - mantel@suse.de
- fix possible oops when releasing ramdisk memory
- updated boot splash patch
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10aa1
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10-pre15
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10aa1
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10-pre15aa1
- add enableapic kernel parameter
- small bugfix for nfsv2
- go back to old version of ov511 driver
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10-pre15
- fix firestream driver
- fix performance problem with reiserfs
- fix ISDN bug in -pre kernels (was due to min/max changes)
- remove obsolete function put_gendisk from IDE RAID drivers
* Sat Sep 22 2001 - mantel@suse.de
- update to 2.4.10-pre14
- update atp870u to 2.6
* Fri Sep 21 2001 - mantel@suse.de
- update to 2.4.10-pre13aa1
* Fri Sep 21 2001 - mantel@suse.de
- update to 2.4.10-pre13aa1
- little bugfix for reiserfs-bigendian
- finally added uptodate quota patches
- fix boot splash patch for != 1024 resolutions
- re-add support for AMD761 and i830
- add ipt-string module (doesn't touch rest of kernel)
* Thu Sep 20 2001 - mantel@suse.de
- update to 2.4.10-pre12
* Thu Sep 20 2001 - mantel@suse.de
- update to 2.4.10-pre12aa1
- fix starfire.c compilation
- remove non-existing option IDE_SERVICE
- remove ramdisk-secure patches
* Thu Sep 20 2001 - mantel@suse.de
- update to 2.4.10-pre12
- revert minix fs to version of 2.4.9
* Wed Sep 19 2001 - mantel@suse.de
- update to 2.4.10-pre11
- xircom_cb should honor manual settings
- fbdev cleanup
- update mptlinux fusion drivers to 1.02.02
- fix /proc/partition mess
- update boot splash patch to 0.9.10
* Tue Sep 18 2001 - mls@suse.de
- initrd_change_root patch: be more defensive when freeing the
  initrd
* Mon Sep 17 2001 - kukuk@suse.de
- Update config to 2.4.10-pre10
* Mon Sep 17 2001 - ro@suse.de
- removed km_vmware: does not build with 64Mb configuration
* Mon Sep 17 2001 - mantel@suse.de
- update to 2.4.10-pre10
- update JFS to 1.0.5
- update aic7xxx to 6.2.3
- update e100 to 1.6.22
- update e1000 to 3.1.23
- fix JFS and ext3 for aa modifications
- fix iff dynamic patch
- update IDE subsystem to ide-2.4.10-p8
- update ips to 4.80
- update qla2x00 to 5.31 (now builds two modules qla2200.o and
  qla2300.o)
* Fri Sep 14 2001 - ro@suse.de
- update boot splash patch to 0.9.9
* Thu Sep 13 2001 - schwab@suse.de
- Fail if any additional module fails to build.
* Tue Sep 11 2001 - mantel@suse.de
- update to 2.4.10-pre8
* Tue Sep 11 2001 - kukuk@suse.de
- remove not longer existing patches from remove list
* Tue Sep 11 2001 - mantel@suse.de
- update to 2.4.10-pre7aa2
- update to 2.4.10-pre8
- update linux-abi to 2.4.9.0
- update boot splash patch to 0.9.8
- update 000_rcu-2 patch (cosmetical load fix)
* Mon Sep 10 2001 - mantel@suse.de
- update to 2.4.10-pre7
* Mon Sep 10 2001 - mantel@suse.de
- update to to 2.4.10-pre7
- remove 199_block-highmem-all patch
- remove 70__2.4.7-pre6_safe_ide_audiocd (breaks CD players)
* Sat Sep 08 2001 - mantel@suse.de
- update to 2.4.10-pre5
- don't build Solaris ABI modules
* Sat Sep 08 2001 - mantel@suse.de
- update to 2.4.10-pre5
- update boot splash patch to 0.9.7
- update PCI IDs for Intel NICs
- revert rd fixes from 2.4.10-pre5 (won't compile)
* Fri Sep 07 2001 - mantel@suse.de
- enabled CONFIG_BLK_DEV_IDECS
* Fri Sep 07 2001 - mantel@suse.de
- update boot splash patch to 0.9.6
- update endian-safe-reiserfs for 2.4.10-pre4aa1
- update quota patch and fix to official versions
- update aic7xxx driver to 6.2.2
- added freemem option for sysreq
- update ext3 to 0.9.9
- update LSI fusion driver to 1.02.01
- fix oops in megaraid driver
- update 3ware driver to 1.02.00.008
- small fixes from -ac9 for aha1542, epic100 and pcnet32
* Thu Sep 06 2001 - kukuk@suse.de
- rename mmap-rb-6_other-archs to mmap-rb_6_other-archs
- exclude all mmap-rb on SPARC
* Wed Sep 05 2001 - kukuk@suse.de
- don't add ide-dma patch on SPARC
- fix ioctl32 for new LVM on UltraSPARC
* Tue Sep 04 2001 - mantel@suse.de
- use iso8859-1 as default NLS codepage
* Tue Sep 04 2001 - mantel@suse.de
- don't run child first on fork (there are too many buggy
  programs out there)
- update boot splash patch
* Mon Sep 03 2001 - mantel@suse.de
- update config due to new version
* Mon Sep 03 2001 - ro@suse.de
- added two new USB storage drivers to config
* Mon Sep 03 2001 - mantel@suse.de
- update to 2.4.10-pre4aa1
- update LVM to 1.0.1-rc2
- update JFS to 1.0.4
- add iff dynamic feature
- fix IDE DMA bug in 199_block-highmem-all-13
- make max_map_count configurable via sysctl
- update gdth driver to 2.03
- added ppp over ATM driver
- added lanai driver
* Sun Sep 02 2001 - olh@suse.de
- add 50_usbstorage_datafab-2.4.8.diff
* Sat Sep 01 2001 - olh@suse.de
- fix 70__2.4.8-pre4-safe_isapnp.diff
  fix 51_boot-splash-0.9.4-2.4.9, really use the scr_write function
  fix 70__2.4.7-pre6_chrp_serialconsole.diff, use correct variable
  add 50_ipv6_securityfix-2.4.10-pre2, from Andi
  add 70__kmap_user-2.4.10-pre1.diff for KM_USER0/1 on ppc
  add 70__kbdrate_2.4.10-pre1.diff for fix kbdrate for ppc
  really provide patches.tar.bz2
* Wed Aug 29 2001 - ro@suse.de
- removed 53_reiserquota-patch-2.4.9-1 (seems to kill reiserfs)
* Tue Aug 28 2001 - mantel@suse.de
- update config due to new version
* Tue Aug 28 2001 - mantel@suse.de
- update to 2.4.10-pre1
- update block-highmem-all to 13 plus SCSI fix
- update quota-fix and quota-patch to official version 2.4.9-1
- added quota support for reiserfs
- update LVM to 1.0.1-rc1
- update boot splash patch to 0.9.4; update picture
- fix AX25 crash
- make ext3 link when not used as module
* Mon Aug 27 2001 - schwab@suse.de
- Don't use qla2100 patch on ia64.
- Fix keyboard fixes for ia64.
- Fix mmap-rb patch for ia64.
* Sat Aug 25 2001 - kukuk@suse.de
- Fix 52_quickcam again to use correct linker call
- Don't use block-highmem-all on SPARC
- Add Keyboard fixes from DaveM
- Add small CVS fixes for SPARC
- Don't declare init_mmap static (fix for aa3 patchset)
* Fri Aug 24 2001 - mantel@suse.de
- remove 40_blkdev-pagecache-14 for the time being (hurts I/O
  performance a lot)
* Thu Aug 23 2001 - mantel@suse.de
- update config due to new version
* Thu Aug 23 2001 - mantel@suse.de
- update to 2.4.9aa3
- update 199_block-highmem-all to 199_block-highmem-all-11-2.4.9aa3
- update JFS to 1.0.3
- use configuration of default kernel as default
- fix new min and max macros
- update reiserfs patches
- update qla2x00 driver to 5.25
- remove 000_seg-reload-1 patch
- remove 99_screen-endian-patch.diff (breaks hgafb.c)
* Thu Aug 23 2001 - olh@suse.de
- add mmap-rb and block-highmem to ppc ignore list
  update ppc defconfig
* Thu Aug 23 2001 - olh@suse.de
- provide used patches in /usr/src/linux-version/patches.tar.bz2
* Thu Aug 23 2001 - olh@suse.de
- remove 70__2.4.5_be_console_selection.diff
  obsolete with 99_screen-endian-patch.diff
  update 99_screen-endian-patch.diff to fit on
  51_boot-splash-0.9-2.4.6
* Thu Aug 23 2001 - olh@suse.de
- Fix 50_bootlogo-ver-2.4.5 and  51_boot-splash-0.9-2.4.6
  scr_writew must be used to modify the screen content
  add 99__2.4.9-fix_min-max.diff
  99_screen-endian-patch.diff from Geert for sane screen access
  ppc specific patches:
  remove 70__2.4.2_4port_ethernet.dif
  70__2.4.6-pre3_serial_macserial.dif
  70__2.4.6-pre8_ohci_alignment.diff
  add    70__00_linux-2.4.9_linuxppc_2_4--1.diff
  70__2.4.7-pre6_safe_ide_audiocd.diff
  70__2.4.7_mmporter_prep_pci.fix
  70__2.4.7_prep_long_commandline_for_vi.diff
  70__2.4.8-pre3-pcidebug.dif
  70__2.4.8-pre4-safe_isapnp.diff
  70__2.4.8_dri_pagetobus_cs1.310.diff
  update 70__2.4.7-pre6_chrp_serialconsole.diff
* Wed Aug 22 2001 - schwab@suse.de
- Fix typo in reiser-fillholes-corruption patch.
- Fix new drm code for ia64.
- Fix fph corruption during signal handing.
* Tue Aug 21 2001 - schwab@suse.de
- Update ia64 patch to 2.4.9-010820.
* Mon Aug 20 2001 - schwab@suse.de
- update to 2.4.9aa2
- added ext3 2.4-0.9.6-248
- update aacraid driver to 2.4.9-20010816
- fix compilation of NTFS (this time correct)
- added driver for Broadcomm 5700 gigabit
- added driver for NS 83820 gigabit
- fix compilation of cpqfc driver 2.0.5
* Sat Aug 18 2001 - mantel@suse.de
- update to 2.4.9aa2
* Sat Aug 18 2001 - kukuk@suse.de
- Fix patchlist for SPARC
* Sat Aug 18 2001 - schwab@suse.de
- Update Ia64 patch.
- Don't apply block-highmem-all and pci-dma-high on ia64.
- Fix mmap-rb patch for ia64.
* Fri Aug 17 2001 - mantel@suse.de
- update to 2.4.9aa1
* Fri Aug 17 2001 - mantel@suse.de
- update to 2.4.9aa1
- add endian safe reiserfs patch to default patches
- fix compilation of ntfs
* Thu Aug 16 2001 - schwab@suse.de
- Update ia64 patch to 2.4.8-010815.
- Fix psaux reconnect patch.
- Don't enable debugging in pci probing.
* Tue Aug 14 2001 - schwab@suse.de
- Update ia64 patch to 2.4.8-010814.
- Update reiserfs patch and apply on all architectures.
* Sun Aug 12 2001 - kukuk@suse.de
- Adjust sparc makefile patch, remove extra patches.sparc archive
- Update endian safe reiserfs patch
* Sat Aug 11 2001 - mantel@suse.de
- update to 2.4.8aa1
* Sat Aug 11 2001 - mantel@suse.de
- update to 2.4.8aa1
- update JFS to 1.0.2
- update cpqfc driver to 2.0.4
- increase timeout for SCSI disks
- update gdth driver to 2.01
- update aic7xxx driver to 6.2.1
- update linux-abi to 2.4.7.0
- update aacraid driver to 2.4.8-20010811
- fix config.gz patch to make "less /proc/config.gz" work
- add fix for psaux reconnect problem (sysctl)
- fix help entry for pdcraid driver
- add dead man driver
- add bonding patch for HP
- fix compilation of emu10k1 driver
* Wed Aug 08 2001 - ro@suse.de
- changed CONFIG_BLK_DEV_MD from "m" to "y"
* Mon Aug 06 2001 - kukuk@suse.de
- Add tulip patch for Netra-X1 onboard card.
* Fri Jul 27 2001 - kukuk@suse.de
- Use kernel 2.4 version of cg14 patch
* Thu Jul 26 2001 - kukuk@suse.de
- Add cg14 cursor patch
* Thu Jul 26 2001 - schwab@suse.de
- Update ia64 patch to 2.4.7-010726.
- Apply endian-safe-reserfs patch on ia64 which despite its name also
  fixes ia64 issues.
* Wed Jul 25 2001 - mantel@suse.de
- fix config
* Wed Jul 25 2001 - schwab@suse.de
- Fix missing declaration.
- Fix __ioremap -> ioremap.
* Tue Jul 24 2001 - mantel@suse.de
- enable build of PCMCIA modules
* Tue Jul 24 2001 - schwab@suse.de
- Use qla2x00 driver from ia64 patch.
* Tue Jul 24 2001 - mantel@suse.de
- update qla2x00 to 4.27
* Tue Jul 24 2001 - schwab@suse.de
- Update ia64 patch to 2.4.7-010723.
* Tue Jul 24 2001 - kukuk@suse.de
- Don't add gcc30-reiserfs fixes on SPARC
* Tue Jul 24 2001 - mantel@suse.de
- update to final 2.4.7aa1
- correct completion fix for cpqfc driver
- new version of ov511 driver
- fix data corruption when writing filemark on IDE tape
- off by one fix for aacraid driver
* Mon Jul 23 2001 - sf@suse.de
- changed entries for ??_linux-abi* so they won't be applied to
  SPARC and ALPHA
* Mon Jul 23 2001 - olh@suse.de
- remove patches.alpha/99_alpha-config
* Mon Jul 23 2001 - olh@suse.de
- add ppc patches for 2.4.7:
  50_linux-abi.fixes-2.4.7-pre6
  70__00_linux-2.4.7_linuxppc_2_4.dif
  70__01_00_2.4.6-pre8-fixes
  70__2.4.0ac6_isdn_bsdcomp_unresolvedsym.dif
  70__2.4.0ac6_macserial.dif
  70__2.4.0ac6_xmonreadme.dif
  70__2.4.2_4port_ethernet.dif
  70__2.4.2_hisax_niccy.dif
  70__2.4.5-pre1_vfat_direntry_endianfix.diff
  70__2.4.5-pre3_chrp_rtas.dif
  70__2.4.5_be_console_selection.diff
  70__2.4.5_vga_console.diff
  70__2.4.6-pre3_serial_macserial.diff
  70__2.4.6-pre6_aty128fb-16bit.diff
  70__2.4.6-pre8_ohci_alignment.diff
  70__2.4.7-pre3_platinum.diff
  70__2.4.7-pre3_silent_stack_overflow_flag.diff
  70__2.4.7-pre6_chrp_serialconsole.diff
* Sat Jul 21 2001 - mantel@suse.de
- update to 2.4.7
* Sat Jul 21 2001 - kukuk@suse.de
- Fix typos in spec file, merge all different versions
* Sat Jul 21 2001 - mantel@suse.de
- update to 2.4.7
* Fri Jul 20 2001 - mantel@suse.de
- update to 2.4.7-pre9
* Fri Jul 20 2001 - mantel@suse.de
- update to 2.4.7-pre9
- update 2.4.7-pre8aa1
- update e100 to 1.6.13 and e1000 to 3.0.16
- update bttv driver to 0.7.72
- update cciss driver to 2.4.6B
- update aic7xxx driver to 6.2.0
- update jfs to 1.0.1
- fix SMP race in sk98lin
- completion fixes for DAC960.c and cpqfc
* Thu Jul 19 2001 - froh@suse.de
- made 'find' -follow symlinks for the sake of symlinks like
  patches.sparc64->patches.sparc
- fixed typo in a filename
* Wed Jul 18 2001 - froh@suse.de
- added ignore/select list to ignore/select specific patches from
  patches.common
- cleaned up and commented spec file
* Wed Jul 18 2001 - kukuk@suse.de
- Add new 32bit SPARC fix
* Tue Jul 17 2001 - mantel@suse.de
- added support for some USB devices
* Tue Jul 17 2001 - kukuk@suse.de
- Add SPARC patches
- Overwrite reiserfs fixes with endian-safe fixes on SPARC
* Tue Jul 17 2001 - mantel@suse.de
- back out new BTTV driver (does not even compile)
* Tue Jul 17 2001 - mantel@suse.de
- back out 40_blkdev-pagecache-5
- update BTTV driver to 0.7.71
- fix for i810
- fix for VIA southbridge problem
- fix pipe init problem
- added assorted network driver fixes from Jeff Garzik
* Fri Jul 13 2001 - mantel@suse.de
- added km_mwavem
* Fri Jul 13 2001 - mantel@suse.de
- update to 2.4.7-pre6aa1
- increase limits for MSGMNI (128) and SEMMNI (1024)
- correct fix for hisax jiftime problem
- update for Sedlbauer ISDN cards
- added reiserfs fixes (7*)
* Thu Jul 12 2001 - sf@suse.de
- added patches.alpha.tar.bz2
- removed 50_linux_abi for Alpha
- removed endian-clean-reiserfs-patch for alpha and ia64
* Wed Jul 11 2001 - mantel@suse.de
- update to 2.4.7-pre6
* Wed Jul 11 2001 - mantel@suse.de
- update to 2.4.7-pre6
- update 2.4.7-pre5aa1
- update boot splash patch to 0.9
- added ide.2.4.7-p3.all.07092001
- update linux-abi to 2.4.7-pre6
- update JFS to 1.0.1
* Mon Jul 09 2001 - mantel@suse.de
- update to 2.4.7-pre3aa1
- downgrade IPVS to 0.8.1 (stable version)
* Fri Jul 06 2001 - mantel@suse.de
- update to 2.4.7-pre3
- Zoran driver can now be built from the normal sources
* Fri Jul 06 2001 - mantel@suse.de
- update to 2.4.7-pre3
- added still valid patches from 2.4.7-pre2aa1
- removed obsolete patches
- fix hgafb
- fix output of /proc/meminfo on big machines (> 4 GB RAM)
* Thu Jul 05 2001 - mantel@suse.de
- update to 2.4.7-pre2
* Thu Jul 05 2001 - mantel@suse.de
- update to 2.4.7-pre2
- fixed fbcon
* Wed Jul 04 2001 - mantel@suse.de
- update to 2.4.6
* Wed Jul 04 2001 - mantel@suse.de
- update to 2.4.6
- updated and fixed quota patches
* Tue Jul 03 2001 - mantel@suse.de
- update due to new version
- added km_zoran km_basilisk km_ipppcomp
* Tue Jul 03 2001 - mantel@suse.de
- update to 2.4.6-pre9
- added 50_block-highmem-2.4.6-pre9
- fixed 00_nanosleep-5
* Mon Jul 02 2001 - mantel@suse.de
- added JFS
* Mon Jul 02 2001 - ro@suse.de
- removed duplicate jfs patch
* Mon Jul 02 2001 - mantel@suse.de
- added JFS 1.0.0
* Sat Jun 30 2001 - bk@suse.de
- used the previosly prepared hooks for integration of JFS-1.0.0
* Fri Jun 29 2001 - olh@suse.de
- add ppc patches for 2.4.6-pre5:
  2.4.5-pre1_vfat_direntry_endianfix.diff
  y_ppc_00_00_ppc_prefixup.diff
  y_ppc_00_linux-2.4.6-pre5_linuxppc_2_4.diff
  y_ppc_2.4.0ac6_isdn_bsdcomp_unresolvedsym.dif
  y_ppc_2.4.0ac6_macserial.dif
  y_ppc_2.4.0ac6_xmonreadme.dif
  y_ppc_2.4.2_4port_ethernet.dif
  y_ppc_2.4.2_hisax_niccy.dif
  y_ppc_2.4.5-pre3_chrp_rtas.dif
  y_ppc_2.4.5_be_console_selection.diff
  y_ppc_2.4.5_pcnet32.dif
  y_ppc_2.4.5_vga_console.diff
  y_ppc_2.4.6-pre3_serial_macserial.diff
  y_ppc_2.4.6-pre5_bk1.152_reverse.diff
- update defconfig for ppc
* Wed Jun 27 2001 - mantel@suse.de
- enable IDE DMA
* Wed Jun 27 2001 - schwab@suse.de
- Update ia64 patch to 2.4.5-010626.
* Tue Jun 26 2001 - mantel@suse.de
- update config due to new version
* Tue Jun 26 2001 - uli@suse.de
- added gpp, libgpp to neededforbuild (reqd. by new DVB driver)
* Tue Jun 26 2001 - schwab@suse.de
- Update ia64 patches.
- Revert acpi to 2.4.6-pre3.
- Output CRLF, not LFCR on serial console.
* Tue Jun 26 2001 - mantel@suse.de
- fix lockup problem under high load (currently testing)
- update USB stack to 2.4.5-ac18
- updated several SCSI drivers
* Sat Jun 23 2001 - bk@suse.de
- 390: added VFS fix for 2.4.5-s390x-reiserfs(runs on s390x)
- 390: added GFS-hook patches to support GFS(runs on s390)
- 390: both archs use the same defconfig additions now
- generic: prepared for jfs integration(could become stable next time)
* Fri Jun 22 2001 - mantel@suse.de
- update config due to new version
* Fri Jun 22 2001 - mantel@suse.de
- update to 2.4.6-pre5aa1
- update gdth driver to 2.00
- fix zerocopy for 3c59x on highmem machines
- new SCSI reset patches from SteelEye
- export highmem declarations
- update sg driver to 3.19
* Fri Jun 22 2001 - bk@suse.de
- patches.s390: add ctc fix for kfree_skb on hard IRQ(include readme)
- kernel-source.spec: add support for patches with(s390 only)
- defconfig.tar.gz/s390x.defconfig: updated to latest version
* Thu Jun 21 2001 - bk@suse.de
- update s390 remove patches section to only remove not building ones
* Wed Jun 20 2001 - mantel@suse.de
- enabled CONFIG_BLK_DEV_ATARAID (support for Promise software RAID)
* Wed Jun 20 2001 - bk@suse.de
- added s390 and s390x patches to fix unresolved symbols
- check for unresolved symbols on s390 and s390x
- changed s390x defconfig to base on original s390x defconfig
* Wed Jun 20 2001 - schwab@suse.de
- Update ia64 patches.
* Wed Jun 20 2001 - mantel@suse.de
- update to 2.4.6-pre3aa2
- updated quota-fix and quota-patch for 2.4.6-pre3
- fixed colors in boot splash
- added pdcraid (driver for Promise software RAID)
- remove inetpeer cache (fixes security problem)
- fixed UDF/quota bug
* Tue Jun 19 2001 - mantel@suse.de
- fixed config (don't try to build non-x86 modules)
* Tue Jun 19 2001 - bk@suse.de
- updated endian-reiser to endian-safe-reiserfs-for-2.4.5.final.patch.bz2
- fixed to build on s390 and s390x(2.4.6-pre3 is not supported yet)
* Tue Jun 19 2001 - mantel@suse.de
- fixed several mtd drivers (need interrupt.h)
- video_register_device now needs additional argument
* Mon Jun 18 2001 - mantel@suse.de
- update config due to new version
* Mon Jun 18 2001 - mantel@suse.de
- update to 2.4.6-pre3aa1
- update IPVS to 0.9.1
- update IDE to 2.4.6-p1.06062001
- update i2c and lm_sensors to 2.6.0
- update Intel e100 to 1.6.5
- update Intel e1000 to 3.0.10
- update cpqfc driver to 2.0.1C
- added workaround for smbfs (when volume has same label as dir)
- added zerocopy funcionality to 3c59x
- added reiserfs preallocate fix
- several minor module parameter fixes for 3c515, aironet4500 and arlan
- added new driver for CATC based USB network adapters
* Wed Jun 13 2001 - bk@suse.de
- updated s390 patches and add support for s390x
* Mon May 28 2001 - mantel@suse.de
- removed km_agpgarti810 and km_3dfx
* Fri May 18 2001 - schwab@suse.de
- Add some ia64 patches.
- Put the ia64 patches in its own tar file.
* Wed May 16 2001 - bk@suse.de
- make it compile on s390 (without tux, but it compiles)
* Tue May 15 2001 - mantel@suse.de
- fix TCP syn ack bug
- fix oops when mmaping /dev/fb0
* Mon May 14 2001 - mantel@suse.de
- fix potential memory leak in reiserfs on concurrent
  writepage calls to a hole in a file
* Fri May 11 2001 - mantel@suse.de
- added CONFIG_USB_LOGITECH_CAM
* Fri May 11 2001 - mantel@suse.de
- fix initmem corruption problem
* Fri May 11 2001 - mantel@suse.de
- added new option: disableapic
* Fri May 11 2001 - mantel@suse.de
- update boot splash patch to version 0.8
- final fix for mmap over NFS; NFS now can be used as module again
- remove suspect hunk from IDE CD-ROM patch
* Fri May 11 2001 - schwab@suse.de
- Don't apply ksoftirq patch on ia64.
* Fri May 11 2001 - mantel@suse.de
- update UDF to 0.9.3 and fix quota patches accordingly
- increase kernel log buffer size (don't loose information on SMP systems)
- correct fix for the mmap over NFS problem
- fix potential memleak in TCP code
- check for NULL pointer in ipv6 code
- add driver for Logitech USB quickcam
- update IPVS to version 0.8.0
- update version.h on changes of extraversion
* Thu May 10 2001 - ro@suse.de
- added km_freeswan
* Thu May 10 2001 - mantel@suse.de
- removed km_basilisk (module has unresolved symbols and will not work)
* Wed May 09 2001 - schwab@suse.de
- Update ia64 patch to 2.4.4-010508.
- Update some patches for ia64:
  31_tux-logger-1
  50_abi-2.4.4-1
  50_cciss-2.4.5-1
* Tue May 08 2001 - mantel@suse.de
- remove 50_filemap_fdatasync until we are sure it is correct
* Tue May 08 2001 - mantel@suse.de
- updated some patches from Jens to the final version:
  50_cd-2.4.5-pre1
  50_loop-2.4.5-pre1
  50_ramdisk-2.4.5-pre1
* Tue May 08 2001 - mantel@suse.de
- update IPVS to 0.2.12
- update dpt_i2o driver to 2.3.5
- update via-rhine driver to 3.22
- fix sync data problem over NFS
* Mon May 07 2001 - mantel@suse.de
- build DRM modules
* Mon May 07 2001 - mantel@suse.de
- fix boot problem on SMP highmem machines
- update OmniVision OV511 driver to 1.39
- fix problem with setting of unimap on all consoles
- new SCSI reset patches for SteelEye
- fix crash with IPv6
- new boot splash screen code
* Sat May 05 2001 - mantel@suse.de
- update config
- added km_tpctl to neededforbuild
* Sat May 05 2001 - mantel@suse.de
- fix menuconfig again
- revert to the old behaviour where after fork the parent
  is run first
* Sat May 05 2001 - mantel@suse.de
- update to 2.4.5-pre1aa1
- fix max-sectors patch (fix horrible SCSI performance)
- update aic7xxx driver to 6.1.13
* Thu May 03 2001 - ro@suse.de
- added include/linux/modversions.h to file-list
* Mon Apr 30 2001 - mantel@suse.de
- update due to new config (ABI, formerly known as iBCS2)
- removed km_ibcs from neededforbuild
* Mon Apr 30 2001 - mantel@suse.de
- update to 2.4.4; build TUX
* Mon Apr 30 2001 - kukuk@suse.de
- Add reiserfs patch for bigendian on non-ia32 plattforms
* Mon Apr 30 2001 - mantel@suse.de
- revert to smaller IDE patch from 04092001 due to advice from
  Andre
- added several fixes for non-intel architecture (60_* patches)
- another one liner fix for snapshots over reiserfs
- added Linux ABI (formerly known as "iBCS2")
* Mon Apr 30 2001 - mantel@suse.de
- fix compilation of pci2220i driver
* Mon Apr 30 2001 - mantel@suse.de
- update to 2.4.4aa2
- added TUX
- update aic7xxx driver to 6.1.12
- update bootsplash to version 4
- fix compilation of qla driver
* Fri Apr 27 2001 - bk@suse.de
- make it compile on s390
* Fri Apr 27 2001 - mantel@suse.de
- removed parport compatibility patch (gives oops when reading
  autoprobing info). Closes Bug #7143
* Fri Apr 27 2001 - mantel@suse.de
- update to 2.4.4-pre8
* Thu Apr 26 2001 - mantel@suse.de
- make boot splash window a little narrower
* Thu Apr 26 2001 - mantel@suse.de
- updated IPVS to 0.2.11
- updated boot splash patch
* Thu Apr 26 2001 - mantel@suse.de
- update to 2.4.4-pre7aa1
- fix boot problem on highmem machines
- added tailfix for reiserfs
- added ksymoops fix for AXP
- revert default umask to 022 as it was before 2.4.3
- update IPS driver to 4.72
* Tue Apr 24 2001 - mantel@suse.de
- use correct values for splash screen
- added km_basilisk
* Tue Apr 24 2001 - mantel@suse.de
- update to 2.4.4-pre6aa1
- new boot spash patch
- fix for SMP autofs race
* Tue Apr 24 2001 - mantel@suse.de
- update to 2.4.4-pre6
- make affs compile
- fix link error due to new compiler
- remove quotes from extraversion
- update cciss driver to 2.4.3D
- update cpqarray driver to 2.4.3B
- fix reiserfs over NFS
- update to rawio-5
- added graphical splash screen
* Mon Apr 23 2001 - mantel@suse.de
- update due to new version
* Mon Apr 23 2001 - kukuk@suse.de
- Don't include linux source archive in src.rpm, only patches
* Fri Apr 20 2001 - mantel@suse.de
- update due to new version
- re-enabled CONFIG_BLK_DEV_NBD (it now builds successfully)
- enabled CONFIG_PARPORT_1284
* Fri Apr 20 2001 - mantel@suse.de
- fix NULL pointer dereference for IDE CD-ROMs
* Fri Apr 20 2001 - mantel@suse.de
- update to 2.4.4-pre5
- added patches from 2.4.4-pre4aa1
- added quota fixes; update to new quota format
- added PPC patches
- fix VIA quirk
- added parport compatibility entry in /proc
- added fixes from Jens (loop-misc-1 and cd-244p4-1)
- update dpt_i2o driver to 2.3
- update ipvs to 0.2.9
- small update to lvm (get_hardblocksize is gone in 2.4.4-pre5)
- added ISDN fixes from maintainer
- fix autofs4 race condition
- some small AXP fixes
* Thu Apr 19 2001 - schwab@suse.de
- Update ia64 patch.
* Thu Apr 19 2001 - kukuk@suse.de
- Ignore failed kernel build on sparc32
* Fri Apr 13 2001 - mantel@suse.de
- update due to new version
- disable broken CONFIG_BLK_DEV_NBD
* Fri Apr 13 2001 - mantel@suse.de
- update LVM to 0.9.1beta7
- several small fixes for 2.4.4pre2
* Thu Apr 12 2001 - mantel@suse.de
- update to 2.4.4pre2
- added cciss-queue-1, cpqarray-queue-1 and idecd-misc-1
- correctly return blocksize
- minimal support for asymmetric MP
- don't panic on wrong blocksizes for MO media
- added IPVS 0.2.8
* Wed Apr 11 2001 - mantel@suse.de
- removed km_nvglx
* Tue Apr 10 2001 - mantel@suse.de
- update config due to new version
* Tue Apr 10 2001 - mantel@suse.de
- update to 2.4.4pre1
- update aic7xxx driver to 6.1.11
- update EIDE subsystem to ide.2.4.4-p1.all.04092001
* Sat Apr 07 2001 - schwab@suse.de
- Integrate ia64 patch.
- Fix file list.
* Fri Apr 06 2001 - mantel@suse.de
- kernel version does not depend on the build host
* Fri Apr 06 2001 - mantel@suse.de
- updated aic7xxx driver to 6.1.10
- e1000 driver now shows up in gigabyte section of Config.in
* Thu Apr 05 2001 - mantel@suse.de
- update config due to new aic7xxx driver version
* Thu Apr 05 2001 - mantel@suse.de
- renamed k_*24 packages to k_*
- renamed k_* packages to k_*22
* Thu Apr 05 2001 - ro@suse.de
- removed linclude (again)
* Thu Apr 05 2001 - mantel@suse.de
- fix loop device for highmem configurations
- update zoran driver
- update aic7xxx to 6.1.9
- added cai patch for Computer Associates
* Wed Apr 04 2001 - mantel@suse.de
- remove km_ipppcomp and km_mssclampfw
* Tue Apr 03 2001 - mantel@suse.de
- added CONFIG_CIPHER_TWOFISH
* Tue Apr 03 2001 - mantel@suse.de
- downgrade VIA driver to 3.24
- added ip-id-2.4.3 fix
- update IPS Serveraid driver to 4.71.01
- added twofish encryption for loop driver
* Mon Apr 02 2001 - mantel@suse.de
- remove imon feature (doesn't work)
* Sat Mar 31 2001 - mantel@suse.de
- update to 2.4.3
- changed name of kernel source package to kernel-source
- added km_ipppcomp
- install image as /boot/vmlinuz instead of vmlinuz_24
* Sat Mar 31 2001 - mantel@suse.de
- package renamed to kernel-source
- update to 2.4.3
- update cpqfc driver to 1.3.6
- update ide subsystem to 03242001
- added axp-irq-2.4.3 patch
- fix LVM snapshots on reiserfs
- added openssl-0.9.6-mppe-2.4.3
- added graphical-boot-2.4.3
- fix extraversion patch (update version.h when .config changes)
- added imon-0.0.2-2.4.3
* Fri Mar 30 2001 - mantel@suse.de
- decrease kernel size by modularizing things that are not needed
  at install time
* Tue Mar 20 2001 - ro@suse.de
- reiserfs as module
* Sun Mar 18 2001 - mantel@suse.de
- added km_cipe to neededforbuild
* Thu Mar 15 2001 - mantel@suse.de
- fix names of Intel network drivers upon Intel request
- update gdth driver to 1.28 (fix memory overwrite bug)
- update to scsi-max-sectors-4
- merged sparc patches
- merged AXP patches
* Wed Mar 14 2001 - mantel@suse.de
- disable some broken modules
* Wed Mar 14 2001 - ro@suse.de
- added buz-2.4-compile.patch
* Tue Mar 13 2001 - mantel@suse.de
- increase CONFIG_AIC7XXX_CMDS_PER_DEVICE to default value
* Tue Mar 13 2001 - mantel@suse.de
- update config for new drivers
* Tue Mar 13 2001 - mantel@suse.de
- update to 2.4.3pre4
- update aic7xxx to 6.1.7
- fix for emu10k
- updated aacraid driver to version 1.0.7 (incl. PERCID_add patch)
- updated e100 driver to version 1.5.5
- updated e1000 driver to version 3.0.7
- remove obsolete patches (fixes already in current pre-patch)
- update usb-update-2.4.3pre4 patch (still one scanner missing)
* Wed Feb 28 2001 - mantel@suse.de
- create link for module rtl8139.o
* Wed Feb 28 2001 - mantel@suse.de
- don't overwrite old kernel (< 2.2.18) any longer
* Mon Feb 26 2001 - mantel@suse.de
- update config for new drivers
* Mon Feb 26 2001 - mantel@suse.de
- update dpt_i2o driver to version 2.0
* Mon Feb 26 2001 - mantel@suse.de
- update megaraid driver to 1.14g
- added new driver aacraid 1.0.6 (Beta!)
- added scsi-max-sectors-3 (needed for aacraid driver)
- fix problem with unkillable processes
- update lm_sensors to 2.5.5
* Thu Feb 22 2001 - mantel@suse.de
- build ATM modules
* Thu Feb 22 2001 - mantel@suse.de
- updated config for 2.4.2
* Thu Feb 22 2001 - mantel@suse.de
- update to 2.4.2
- update VIA driver to version 4.3
* Wed Feb 21 2001 - mantel@suse.de
- fix reiserfs problem (could corrupt small files)
* Wed Feb 21 2001 - mantel@suse.de
- fix loop device (loop-5B)
- add support for old binutils
- add pci-fixup-serverworks-2.4.2pre4
* Mon Feb 19 2001 - mantel@suse.de
- set CONFIG_WATCHDOG_NOWAYOUT=y
* Sun Feb 18 2001 - mantel@suse.de
- updated config for 2.4.2pre4
* Sun Feb 18 2001 - mantel@suse.de
- update to 2.4.2pre4
* Fri Feb 16 2001 - mantel@suse.de
- disable CONFIG_APM_CPU_IDLE
* Wed Feb 14 2001 - mantel@suse.de
- fix compilation of 6pack driver
* Mon Feb 12 2001 - mantel@suse.de
- updated config for 2.4.2pre3
* Mon Feb 12 2001 - mantel@suse.de
- update to 2.4.2pre3
- fix buz driver
* Fri Feb 09 2001 - ro@suse.de
- added km_vdtxt
* Thu Feb 08 2001 - mantel@suse.de
- fix buz driver
- added AX25 routing fix
- ISDN include files protected with #ifdef __KERNEL__
- update DAC960 driver to version 2.4.10
* Mon Feb 05 2001 - mantel@suse.de
- update to 2.4.2pre1
- remove modutils-hotplug patch
- update TIOCGDEV-2.4.2pre1 for Sparc
- update e100 driver to version 1.4.21
* Thu Feb 01 2001 - mantel@suse.de
- update to 2.4.1
* Thu Feb 01 2001 - mantel@suse.de
- update to 2.4.1
* Tue Jan 23 2001 - mantel@suse.de
- update to 2.4.1pre10 (important fixes for cpqarray and DAC960)
- update ips driver to 4.50
* Mon Jan 22 2001 - mantel@suse.de
- update megaraid driver to version 1.14a
* Sat Jan 20 2001 - mantel@suse.de
- create hardlink for module 3c90x (symlink does not work)
* Sat Jan 20 2001 - ro@suse.de
- re-added sub-package linclude to specfile
- re-added Obsoletes: lx_suse to specfile
- added Provides: lx_suse to specfile
* Fri Jan 19 2001 - mantel@suse.de
- disable ACORN partitions. Leads to problems on some machines.
- fix specfile. Use get_kernel_version instead of file
* Fri Jan 19 2001 - mantel@suse.de
- create symlink 3c90x.o -> 3c59x.o
* Fri Jan 19 2001 - mantel@suse.de
- update e100 and e1000 driver to most recent version
* Thu Jan 18 2001 - mantel@suse.de
- enable CONFIG_ISDN_DRV_AVMB1_B1PCMCIA
* Thu Jan 18 2001 - mantel@suse.de
- really build sensors modules
- another fix for cpqarray
- new SMC Token Ring driver
- export proc_get_inode symbol
- build needed ISDN module for AVM PCMCIA card
* Wed Jan 17 2001 - mantel@suse.de
- updated config (we're now at 2.4.1pre8)
* Wed Jan 17 2001 - ro@suse.de
- added km_sam9407
* Wed Jan 17 2001 - mantel@suse.de
- remove km_basilisk from neededforbuild
- add new driver dpt_i2o
* Wed Jan 17 2001 - mantel@suse.de
- add another fix to the cpqarray driver
* Wed Jan 17 2001 - mantel@suse.de
- include bugfix for cpqarray driver
- fix UP compilation of qla2x00 driver
- add LVM fixes again
- add cardbus-pci-2.4.1pre8
* Wed Jan 17 2001 - mantel@suse.de
- switch to 2.4.1pre8
- added Qlogic qla2x00 driver
* Wed Jan 17 2001 - mantel@suse.de
- added dpt_i2o driver
- fix reiserfs bug with O_SYNC on SMP
* Mon Jan 15 2001 - mantel@suse.de
- disable CONFIG_ISDN_DRV_AVMB1_AVM_CS (comes from PCMCIA)
* Mon Jan 15 2001 - mantel@suse.de
- enable CONFIG_ISDN_DRV_AVMB1_B1PCMCIA and
  CONFIG_ISDN_DRV_AVMB1_AVM_CS
* Mon Jan 15 2001 - mantel@suse.de
- fix e100 driver
* Mon Jan 15 2001 - ro@suse.de
- fixed version 2.4.0 -> 2.4.0.SuSE
* Mon Jan 15 2001 - mantel@suse.de
- added some obvious fixes from 2.4.0-ac7
- bugfix for K7 crash
- update to blk-14-suse18 (be nicer to lowmem machines)
- fix config.gz patch (overwrote memory)
- update idetape to 1.17
- added isdn-2.4.0-ac5
- allow 32 swapfiles
* Sat Jan 13 2001 - kukuk@suse.de
- Add SPARC fixes for asm_offsets.h and SBUS audio modules
* Fri Jan 12 2001 - zoz@suse.de
- removed copying of pcmcia modules to correct directory, because
  they now already are there
* Fri Jan 12 2001 - ro@suse.de
- added km_ppp_mppe to neededforbuild
* Fri Jan 12 2001 - mantel@suse.de
- added km_ibcs to neededforbuild
- disable CONFIG_BLK_DEV_OFFBOARD
* Fri Jan 12 2001 - mantel@suse.de
- build some additional sound modules
* Thu Jan 11 2001 - ro@suse.de
- specfile fix
* Thu Jan 11 2001 - mantel@suse.de
- disable experimental CONFIG_RCPCI (does not build)
* Thu Jan 11 2001 - mantel@suse.de
- update config
- make UMSDOS modular
* Thu Jan 11 2001 - mantel@suse.de
- update config
* Thu Jan 11 2001 - mantel@suse.de
- update to 2.4.0-ac6
* Thu Jan 11 2001 - mantel@suse.de
- fix compile when HIGHMEM is configured
* Thu Jan 11 2001 - mantel@suse.de
- update to 2.4.0-ac5
- added fix for overlong filenames on reiserfs
- added nfs fix from Trond
- updated ISDN checksums
* Wed Jan 10 2001 - ro@suse.de
- added km_mssclampfw
* Wed Jan 10 2001 - mantel@suse.de
- update config
* Wed Jan 10 2001 - mantel@suse.de
- again back out loop fixes - too dangerous at this time
- use forward port from 2.2.x-aax to fix MD panic bug
- add another typo fix for 2.4.0-ac4
- add LVM snapshot fix
- updated PPC patches
* Tue Jan 09 2001 - ro@suse.de
- added fix for hotplug patch to make lp compile again
* Mon Jan 08 2001 - mantel@suse.de
- enable RAID now that it's fixed.
* Mon Jan 08 2001 - mantel@suse.de
- add patch to allow hotplug autoload of modules (2.4.1)
* Mon Jan 08 2001 - mantel@suse.de
- again fix the loop device problem
- added fix for RAID5 crash on PIII machines
- added support for Ensoniq 5880 rev 3
* Mon Jan 08 2001 - mantel@suse.de
- remove loop-* diffs; they're buggy
* Mon Jan 08 2001 - mantel@suse.de
- fix typo in 2.4.0-ac4 which broke compile of qnx4/inode.c
* Mon Jan 08 2001 - mantel@suse.de
- update to 2.4.0-ac4
- updated PPC stuff
- added module compile fix for PCMCIA
- added some USB scanners to the list of known devices
- updated fix for loop device
* Sun Jan 07 2001 - mantel@suse.de
- disable CONFIG_PPSCSI_VPI2 (not yet working)
* Sun Jan 07 2001 - mantel@suse.de
- updated config
* Sun Jan 07 2001 - mantel@suse.de
- fix typo in 2.4.0-ac3 which broke compile in vesafb.c
* Sun Jan 07 2001 - mantel@suse.de
- update to 2.4.0-ac3
- update reiserfs to 3.6.25
* Sat Jan 06 2001 - mantel@suse.de
- build modules for parallel port scanners
* Sat Jan 06 2001 - mantel@suse.de
- disable Software RAID; leads to panic on boot
* Sat Jan 06 2001 - kukuk@suse.de
- Update defconfig for sparc/sparc64
- Fix quotactl wrapper in sys_sparc32
* Sat Jan 06 2001 - mantel@suse.de
- added ppscsi-0.91-2.4.0 (support for parallel port Scanners)
- fix loop device; this time really ;)
- fix module compile annoyance
* Sat Jan 06 2001 - mantel@suse.de
- update to 2.4.0-ac2
- added lvm-fix1
- added fixes for PPC
- added bugfix for reiserfs
* Fri Jan 05 2001 - mantel@suse.de
- adapt config to new version 2.4.0
* Fri Jan 05 2001 - mantel@suse.de
- backout loop fix as it breaks other things
* Fri Jan 05 2001 - mantel@suse.de
- fix loop device
* Fri Jan 05 2001 - mantel@suse.de
- added two bugfixes for CD-ROMs from Jens Axboe
* Fri Jan 05 2001 - mantel@suse.de
- adapted and added blk-13B-2.4.0.ac1
* Fri Jan 05 2001 - mantel@suse.de
- update to 2.4.0
- update to 2.4.0-ac1
- update reiserfs to 3.6.24
- remove obsolete patches
- added driver for Intel e100 and e1000. UNTESTED!
* Thu Dec 21 2000 - ro@suse.de
- fixed kernel-version, kernel-extension
* Thu Dec 21 2000 - mantel@suse.de
- disable experimental ATM (doesn't build anyway)
* Thu Dec 21 2000 - ro@suse.de
- use lx_sus24
* Thu Dec 21 2000 - mantel@suse.de
- disable experimental EIDE drivers
- enable IP autoconfig
* Thu Dec 21 2000 - ro@suse.de
- fix spec
* Thu Dec 21 2000 - ro@suse.de
- copied/renamed to lx_sus24
* Thu Dec 21 2000 - mantel@suse.de
- update to 2.4.0-test13pre3
- added the following patches:
  idetape-116g-linux240.diff
  dc390-20f-240t12.diff
  SMP-extraversion-240t12.diff
  TIOCGDEV-240t11.diff
  dc395-132-240t10.diff
  osst-0942-240t12.diff
  lvm-0.9-aa-1
  ipvs-0.1.1-2.4.0
  99_reiser_export
  FXSR_686
  linux-2.4.0-test13-pre3_linuxppc_2_3.dif
- update lm_sensors
- adapt linux.sparc.diff to new version
* Tue Dec 19 2000 - mantel@suse.de
- removed CONFIG_DRM
- added km_agpgarti810 to neededforbuild
* Fri Dec 15 2000 - ro@suse.de
- fixed postin
* Thu Dec 14 2000 - mantel@suse.de
- updated config
* Wed Dec 13 2000 - kukuk@suse.de
- up to test12 final
- Update CVS/SPARC patches
* Tue Dec 12 2000 - mantel@suse.de
- added postinstall                                                             - added km_firegl1
* Mon Dec 11 2000 - ro@suse.de
- typo fixed
* Mon Dec 11 2000 - ro@suse.de
- fixed specfile
* Sun Dec 10 2000 - kukuk@suse.de
- up to test12pre7
- update to latest reiserfs version + test12 fixes
- Add SPARC patches from CVS
* Sat Dec 09 2000 - mantel@suse.de
- set CONFIG_IP_ROUTE_MULTIPATH to yes
* Sat Dec 09 2000 - mantel@suse.de
- fixed config so that all modules compile
- changed name of vmlinuz to vmlinuz_24 to allow co-existance with
  2.2 kernel
* Wed Dec 06 2000 - mantel@suse.de
- new package for 2.4 derived from the corresponding 2.2 package
* Wed Dec 06 2000 - ro@suse.de
- update for pre24
* Mon Nov 27 2000 - mantel@suse.de
- same config as default kernel, but with SMP enabled.
  APM and IDE now also in SMP kernel
* Fri Nov 24 2000 - kukuk@suse.de
- up to test11 final
- Add patch set from mge
- Add PPC patches from olh
* Tue Nov 21 2000 - uli@suse.de
- added km_basilisk
* Thu Nov 16 2000 - ro@suse.de
- updated config
* Mon Nov 13 2000 - ro@suse.de
- added config for new SW-RAID
- disabled DRM in config (is built from km_drm)
* Mon Nov 13 2000 - ro@suse.de
- up to test11-pre4
* Sun Nov 12 2000 - ro@suse.de
- use lx_sus22 as source
* Sat Nov 11 2000 - kukuk@suse.de
- update to test11-pre2
- Add reiserfs
* Mon Oct 30 2000 - ro@suse.de
- update to test10-pre6
- updated defconfig
- group sorted
* Fri Oct 27 2000 - ro@suse.de
- update config for 2.2.17-6
* Mon Oct 23 2000 - ro@suse.de
- version to 2.2.17
* Fri Oct 20 2000 - ro@suse.de
- updated config
* Fri Oct 13 2000 - kukuk@suse.de
- fix defconfig for i386
* Fri Oct 13 2000 - kukuk@suse.de
- update to test10-pre2
* Tue Sep 26 2000 - ro@suse.de
- up to test7, updated defconfigs
* Tue Sep 26 2000 - ro@suse.de
- specfile fixed
* Mon Sep 25 2000 - ro@suse.de
- use as lx_suse for BETA
* Mon Sep 25 2000 - ro@suse.de
- up to test9pre6
- fixed defconfig
* Fri Sep 08 2000 - mantel@suse.de
- set CONFIG_BLK_DEV_IDESCSI to "m"
* Fri Sep 01 2000 - uli@suse.de
- added km_dvb
* Thu Aug 24 2000 - ro@suse.de
- update to 2.4.0-test7
* Sat Jul 22 2000 - mantel@suse.de
- updated config: set new option CONFIG_IDE_TASK_IOCTL_DEBUG to No
* Tue Jul 18 2000 - mantel@suse.de
- enabled bigmem support
* Tue Jul 11 2000 - mantel@suse.de
- updated config: set CONFIG_SCSI_NCR53C8XX_SYNC to 80
* Fri Jul 07 2000 - mantel@suse.de
- updated config, set CONFIG_IDEDMA_IVB to NO
* Tue Jul 04 2000 - ro@suse.de
- updated config, enabled ISDN_DIVERSION
* Fri Jun 30 2000 - ro@suse.de
- updated config, added km_secum to neededforbuild
* Mon Jun 26 2000 - ro@suse.de
- enabled CONFIG_FILTER
* Sat Jun 24 2000 - olh@suse.de
- update config
* Fri Jun 23 2000 - ro@suse.de
- added nfsd_compile_fix
* Fri Jun 23 2000 - ro@suse.de
- updated config again
* Tue Jun 20 2000 - ro@suse.de
- updated .config
* Mon Jun 12 2000 - ro@suse.de
- fixed config , bump version
* Fri Jun 09 2000 - ro@suse.de
- re-start: up to 2.4.0-test1
* Tue Jun 06 2000 - sndirsch@suse.de
- removed km_agp
- added km_drm
* Mon Jun 05 2000 - ro@suse.de
-updated config
* Mon Jun 05 2000 - ro@suse.de
- fixed isdn config
* Sun Jun 04 2000 - ro@suse.de
- fixed specfile and config
* Thu Mar 23 2000 - ro@suse.de
- bump version
* Thu Mar 09 2000 - ro@suse.de
- copy pcmcia-modules
* Thu Mar 09 2000 - bs@suse.de
- added missing flags to config file.
* Thu Mar 09 2000 - ro@suse.de
- specfile fix
* Mon Mar 06 2000 - ro@suse.de
- never type faster than you think...
* Mon Mar 06 2000 - ro@suse.de
- added pcmcia kernel-module-sources
* Mon Mar 06 2000 - ro@suse.de
- added alsa and memstat kernel module sources
* Sun Mar 05 2000 - kukuk@suse.de
- Compile and install modules from /usr/src/kernel-modules
* Thu Mar 02 2000 - ro@suse.de
- updated config again (vs 2.2.15pre12based)
* Sat Feb 26 2000 - ro@suse.de
- updated config
* Wed Feb 23 2000 - bk@suse.de
- update to 2.3.46aa1 with the old patches applied and simplyfied patching.
* Tue Feb 22 2000 - ro@suse.de
- compile in reiserfs and ide-scsi-emulation
* Tue Feb 08 2000 - ro@suse.de
- diabled CONFIG_BLK_DEV_3W_XXXX_RAID won't compile
* Tue Feb 08 2000 - ro@suse.de
- updated config for new ISDN stuff
* Tue Feb 08 2000 - bk@suse.de
- moved andrea's alpha-irq-4 patch which allows irq to be distributed
  in SMP across all CPUs to linux/only-for-tsunami-and-sx164 so it will
  be in the tree but not applied. It involve the rewriting of the
  interrupt layer and with this patch applyed only tsunami and sx164
  compiles.
- re-enable kernel compile in build on Alpha.
* Tue Feb 08 2000 - bk@suse.de
- fix patching and improve check-if-patches-apply script
* Tue Feb 08 2000 - bk@suse.de
- update to 2.3.42aa2 with the patches which applied after the update.
- wrote a check-if-patches-apply script to the patch process which
  checks which patches apply and build a tree that includes only
  those that applied.
- now calling oldconfig with tr '\000' '\n' </dev/zero | make oldconfig,
  this ends the need to redo all defconfigs for every update.
- this tree compiles currently not on alpha, possibly due to the
  generic alpha build attempted by the default config
- patches that did not apply are in patches-from-2.3.39-that-didnt-apply.tar.gz
  This is the list:
  23x-SMP-extraversion.diff-2.3.38
  alpha-rtc-1
  delack-timer
  lm_sensors-2.4.0-lm-kernel-2.3.38
  ppc-irq-offset-1
  sparc-from-cvs-2
  zzz-sparc-fixes-3
* Mon Feb 07 2000 - ro@suse.de
- updated config CONFIG_BLK_DEV_3W_XXXX_RAID
* Sat Jan 29 2000 - bk@suse.de
- re-start on ro's lx_suse based on 2.3.40-pre6, and updated to
  real 2.3.40, every patch fit in, only the i386.defconfig needed
  a new entry.
  ro's changelog(cumulated):
- added patch dc390-20d25
- updated ppc-patches
- updated sparc-patches
- added: ppc-setup-fix (new ide-structs)
- switch i386-default SMP->UP
- added patch 2.3.40-pre4
- updated sparc-vs-cvs , zzz-sparc-fixes
- updated defconfigs (PCMCIA on alpha = off, won't compile)
- version 2.3.40-SuSE
- updated: zzz-sparc-fixes-2 to make it at least compile on sparc32
- removed: alpha-irq-2
- added-patches: alpha-imb-1 alpha-rtc-1 alpha-symb-1 bdflush-sleep
  block_dev-fs-corruption-1 delack-timer jay-2.3.39-11jan2045
  oom-1 oops-1 probe-irq-2.3.14-pre2-1 protected-balance-2-2.3.39
  rbtree-1 timer_bh-deadlock-1
  ppc-from-cvs, sparc-from-cvs (from linuxcare.au)
  ppc-missing-files-2 zzz-sparc-fixes-2
- updated: sched-2
* Thu Jan 27 2000 - ro@suse.de
- fixed specfile
* Wed Jan 26 2000 - olh@suse.de
- add a defined build hostname
* Tue Dec 14 1999 - ro@suse.de
- updated config
* Mon Nov 08 1999 - ro@suse.de
- allow use of fibre channel network cards
* Mon Nov 08 1999 - ro@suse.de
-fixed alpha.defconfig
* Mon Nov 08 1999 - bk@suse.de
- update to 2.3.26, removed all patches i386.defconfig ok.
* Wed Nov 03 1999 - ro@suse.de
- updated config, make distclean
* Tue Nov 02 1999 - ro@suse.de
- re-enabled mtrr
* Sun Oct 31 1999 - ro@suse.de
- updated config
* Wed Oct 27 1999 - ro@suse.de
- updated config
* Sat Oct 23 1999 - ro@suse.de
- created package
* Mon Sep 20 1999 - ro@suse.de
- added provides kernel_headers
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 23 1999 - ro@suse.de
- updated defconfig.alpha
* Fri Jul 23 1999 - bk@suse.de
- add /proc/config.gz support and make cloneconfig
- add fix for 2GB support from Leonard N. Zubkoff
- add fix for too small heap size for uncompressing kernel
* Fri Jul 23 1999 - bk@suse.de
- update standard tulip driver to v0.90
- fix for compiling the new tulip driver into the kernel
- fix for not compiling-in new and old tulip.c simultaneously
* Wed Jul 21 1999 - bk@suse.de
- update to 2.3.10 + 27 patches from lx_suse
- splitted the updates of 3c39x-0.99L, epic100-1.06 and the new
  tulip driver from newnet-2.2.10. Old tulip driver is still there.
* Mon May 24 1999 - ro@suse.de
- specfile fix to build on beta-i386
* Sat May 22 1999 - bk@suse.de
- build with TEST_COMPILE=yes succeeds on aplha now
* Mon May 10 1999 - bk@suse.de
- removed absoulte path from %%post
* Tue May 04 1999 - bk@suse.de
- make mrproper output nach /dev/null umleiten
* Mon May 03 1999 - bk@suse.de
- additional Documentation
- turned the new config options into experimental ones
- more consvervatiave defaults (new options: off)
- include include/linux/autoconf.h in the package
- minor typo-like fixes in the patches
* Mon May 03 1999 - bk@suse.de
- update to 2.2.7 with bleeding edge patches
* Wed Apr 14 1999 - bk@suse.de
- update to 2.2.5ac7, added arca-mmap-fix, installpath, isdn-2.2.4,
  newnet-2.2.5, rd-patch and rl100-2.2.5
* Sat Apr 10 1999 - ro@suse.de
- added defconfig for alpha
* Tue Apr 06 1999 - bk@suse.de
- update to 2.2.5ac4
  changed build method to use original kernel as base and patch with %%patch
  added buffer cache patches from Andrea Acrangeli
  added -V2.7.2.3 to *CFLAGS which forces use of gcc
  added su1 to EXTRAVERSION
* Mon Feb 01 1999 - ro@suse.de
- update to 2.2.1
* Wed Jan 27 1999 - ro@suse.de
- update to 2.2.0
* Mon Jan 18 1999 - bs@suse.de
- update to 2.2.0-pre7
* Tue Jan 12 1999 - ro@suse.de
- update to 2.2.0-pre6
* Thu Dec 03 1998 - bs@suse.de
- update to 2.1.131
* Fri Nov 27 1998 - ro@suse.de
- fixed version in specfile
* Fri Nov 27 1998 - ro@suse.de
- update to vanilla 2.1.130
* Sun Nov 22 1998 - ro@suse.de
- added .config file (needed for alans additional drivers)
* Sun Nov 22 1998 - ro@suse.de
- update to 2.1.129 + alans 129-ac-3
- removed knfs-patch: is all in alan's patch except a little hack
  for amd
- updated isdn-patch to cvs of 981122
* Tue Nov 10 1998 - bs@suse.de
- not an autopac anymore
* Mon Nov 09 1998 - ro@suse.de
- kernel 2.1.127
- removed pre-patch
- updated isdn-patch to cvs from 981109
* Tue Nov 03 1998 - ro@suse.de
- leave version numer as 126
* Mon Nov 02 1998 - ro@suse.de
- update to 127pre3 (to be able to build sound-modules)
* Mon Oct 26 1998 - ro@suse.de
- cut down knfs-patch (removed all that was done in patch-2.1.126)
* Wed Oct 21 1998 - ro@suse.de
- updated knfs-patch to allow NFS_NULLPROC from any client (by HJL)
* Tue Oct 20 1998 - ro@suse.de
- updated knfs-patch
* Wed Sep 30 1998 - ro@suse.de
- added current patchset for knfsd
- save possible .config and make a distclean after patching
* Thu Sep 24 1998 - ro@suse.de
- another update of the isdn-patch :-(((
* Tue Sep 22 1998 - ro@suse.de
- updated isdn-patch (needed symbol to compile i4l in beta)
* Mon Sep 21 1998 - ro@suse.de
- added isdn-980921.patch.gz
* Mon May 18 1998 - bs@suse.de
- auto update with 2.1 kernels
- don't include own joystick.h
* Mon May 04 1998 - bs@suse.de
- switched to 2.1.99.SuSE (for pre-6.0)
* Mon Apr 20 1998 - mantel@suse.de
- fixed syndrop Bug
- new aic7xxx driver (5.0.13)
- some new ethernet drivers (e.g. Tulip and Boomerang)
* Thu Apr 16 1998 - bs@suse.de
- don't include .config
* Thu Feb 19 1998 - bs@suse.de
- fixed problems with gdb and strace
* Wed Feb 18 1998 - bs@suse.de
- new Adaptec driver
- fixed DPMI stuff for dosemu
* Mon Feb 09 1998 - mantel@suse.de
- deleted Initio driver (due to copyright problems)
- new adaptec scsi driver
* Wed Feb 04 1998 - mantel@suse.de
- new driver for aic7xxx, ncr53c8xx, advansys, BusLogic and Tekram.
- a lot of new versions of net drivers
- Attention for Vortex cards (3c595)!  The new driver (0.49 - very
  stable for Boomerang cards) is unstable for this cards.  You
  should use the version 0.42 (in kernel-patches.tgz under
  /unsorted).
- added stability patches by Alan Cox (pre-2.0.34-2)
- recent Parallel port CD-ROM drivers
* Thu Jan 08 1998 - bs@suse.de
- switched to 2.0.33.SuSE
* Thu Dec 11 1997 - bs@suse.de
- 2.0.33.pre.SuSE.3
- include include/linux/joystick.h from joystick package.
* Sun Oct 19 1997 - bs@suse.de
- prepared for autobuild (2.0.31)
